(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    172643,       4428]
NotebookOptionsPosition[    167109,       4257]
NotebookOutlinePosition[    167552,       4274]
CellTagsIndexPosition[    167509,       4271]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"t0", "=", 
   RowBox[{"TimeUsed", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"assump", "=", 
   RowBox[{
    RowBox[{"Element", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Alpha]", ",", 
        SqrtBox[
         RowBox[{
          RowBox[{"4", "\[Alpha]"}], "-", "1"}]], ",", 
        RowBox[{"1", "/", 
         SqrtBox[
          RowBox[{
           RowBox[{"4", " ", "\[Alpha]"}], "-", "1"}]]}]}], "}"}], " ", ",", 
      "Reals"}], "]"}], "&&", 
    RowBox[{"1", "\[GreaterEqual]", "  ", "\[Alpha]", "\[GreaterEqual]", 
     RowBox[{"7", "/", "8"}]}]}]}], " ", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dom", "=", 
   RowBox[{"1", "\[GreaterEqual]", "  ", "\[Alpha]", "\[GreaterEqual]", 
    RowBox[{"999", "/", "1000"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"(", GridBox[{
      {"0", "1"},
      {
       RowBox[{"-", "\[Alpha]"}], "1"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"F", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"u_", ",", "v_"}], "}"}], ",", " ", "\[Alpha]_"}], "]"}], "=", 
    RowBox[{"{", 
     RowBox[{"0", ",", " ", 
      RowBox[{
       RowBox[{"v", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ExponentialE]", "^", 
           RowBox[{"(", 
            RowBox[{"-", "u"}], ")"}]}], "-", "1"}], ")"}]}], "+", 
       RowBox[{"\[Alpha]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ExponentialE]", "^", 
           RowBox[{"(", 
            RowBox[{"-", "u"}], ")"}]}], "-", "1", "+", "u"}], ")"}]}]}]}], 
     "}"}]}], ";"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eigensys", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Eigensystem", "[", 
    RowBox[{"A", "[", "\[Alpha]", "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eigensystr", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Eigensystem", "[", 
    RowBox[{"Transpose", "[", 
     RowBox[{"A", "[", "\[Alpha]", "]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"q", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"eigensys", "[", "\[Alpha]", "]"}], "\[LeftDoubleBracket]", 
      RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}], ",", "assump"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"v1", "[", "\[Alpha]_", "]"}], "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"eigensystr", "[", "\[Alpha]", "]"}], "\[LeftDoubleBracket]", 
       RowBox[{"2", ",", "1"}], "\[RightDoubleBracket]"}], ",", "assump"}], 
     "]"}]}], ";"}], 
  RowBox[{"(*", 
   RowBox[{
   "assistant", " ", "variable", " ", "for", " ", "normalizing", " ", "p"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Conjugate", "[", 
      RowBox[{"1", "/", 
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"Conjugate", "[", 
          RowBox[{"v1", "[", "\[Alpha]", "]"}], "]"}], ".", 
         RowBox[{"q", "[", "\[Alpha]", "]"}]}], "]"}]}], "]"}], ",", 
     "assump"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p", "[", "\[Alpha]_", "]"}], "=", 
  RowBox[{"Together", "[", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"c", "[", "\[Alpha]", "]"}], "*", 
      RowBox[{"v1", "[", "\[Alpha]", "]"}]}], ",", " ", "assump"}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Conjugate", "[", 
      RowBox[{"p", "[", "\[Alpha]", "]"}], "]"}], ".", 
     RowBox[{"q", "[", "\[Alpha]", "]"}]}], ",", "assump"}], "]"}], 
  RowBox[{"(*", "checking", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Mu]", "[", "\[Alpha]_", "]"}], "=", 
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"eigensys", "[", "\[Alpha]", "]"}], "\[LeftDoubleBracket]", 
     RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], " ", ",", "assump"}],
    "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.52180505303125*^9, 3.521805172953125*^9}, {
   3.521805209109375*^9, 3.5218052718125*^9}, {3.52180531971875*^9, 
   3.52180541759375*^9}, {3.521805454203125*^9, 3.52180546615625*^9}, {
   3.521805537421875*^9, 3.521805541125*^9}, {3.5218055721875*^9, 
   3.521805588078125*^9}, {3.52180575815625*^9, 3.521805870578125*^9}, 
   3.521805968296875*^9, {3.52180623940625*^9, 3.52180624884375*^9}, {
   3.521806351453125*^9, 3.5218064088125*^9}, {3.521806459765625*^9, 
   3.521806568875*^9}, {3.52180753903125*^9, 3.52180764315625*^9}, {
   3.5218076743125*^9, 3.521807700171875*^9}, {3.52180773928125*^9, 
   3.521807821171875*^9}, {3.52180792425*^9, 3.52180793546875*^9}, {
   3.521809487515625*^9, 3.521809491609375*^9}, {3.52180952184375*^9, 
   3.521809684703125*^9}, 3.5218097840625*^9, {3.5218102315*^9, 
   3.5218102675*^9}, 3.5218102980625*^9, {3.5220475085625*^9, 
   3.522047525390625*^9}, {3.535280686921875*^9, 3.53528068925*^9}, {
   3.535287609375*^9, 3.535287636546875*^9}, 3.537041100359086*^9, 
   3.53811806146875*^9, {3.53816339144623*^9, 3.538163467356572*^9}, {
   3.538163685532051*^9, 3.538163730014595*^9}, {3.538165818125028*^9, 
   3.538165936858819*^9}, {3.53822072903125*^9, 3.538220744390625*^9}, {
   3.538220796640625*^9, 3.53822079978125*^9}, {3.538220973125*^9, 
   3.538220987359375*^9}, {3.5382864382297454`*^9, 3.538286451988532*^9}, {
   3.5382865114039307`*^9, 3.538286515308154*^9}, {3.5383110176166058`*^9, 
   3.5383110628001904`*^9}, {3.538490524482377*^9, 3.5384905402842813`*^9}, {
   3.5385702865903015`*^9, 3.538570308692566*^9}, {3.538571695771902*^9, 
   3.538571764769849*^9}, {3.5385717989758053`*^9, 3.5385718318256845`*^9}, {
   3.5385834301340694`*^9, 3.538583436660443*^9}, {3.5385836571840563`*^9, 
   3.5385837349035015`*^9}, {3.5385838375683737`*^9, 3.53858384013352*^9}, {
   3.538583871812332*^9, 3.5385838775366592`*^9}, {3.53858418858545*^9, 
   3.5385841890724783`*^9}, {3.5385891531404066`*^9, 
   3.5385891536624365`*^9}, {3.5385894558527207`*^9, 3.538589461211027*^9}, {
   3.5385955680193167`*^9, 3.538595570154439*^9}, {3.538595721473094*^9, 
   3.538595721953121*^9}, {3.5385961371318684`*^9, 3.538596155766934*^9}, {
   3.5385964192350035`*^9, 3.5385964198310375`*^9}, {3.5385967326809316`*^9, 
   3.5385967331309576`*^9}, {3.5386005482281685`*^9, 
   3.5386005595618167`*^9}, {3.5386005937297707`*^9, 3.538600594691826*^9}, {
   3.5386009581986175`*^9, 3.5386009587576494`*^9}, {3.53873563809375*^9, 
   3.53873565628125*^9}, {3.538739696421875*^9, 3.538739707203125*^9}, 
   3.538741803484375*^9, {3.539060489046875*^9, 3.539060495875*^9}, {
   3.539115506720992*^9, 3.539115507623044*^9}, {3.5391876044040756`*^9, 
   3.5391876047530956`*^9}, {3.539519306703125*^9, 3.539519307140625*^9}, {
   3.539521655375*^9, 3.5395216579375*^9}, {3.539526703875*^9, 
   3.539526704171875*^9}, {3.539686087265625*^9, 3.539686087359375*^9}, {
   3.53968868953125*^9, 3.53968876290625*^9}, {3.5396888014375*^9, 
   3.53968880284375*^9}, {3.53968890734375*^9, 3.5396889131875*^9}, {
   3.539689043890625*^9, 3.5396890455625*^9}, 3.53968908565625*^9, {
   3.5397113519861245`*^9, 3.539711354637276*^9}, 3.539712386964322*^9, {
   3.5398869857127075`*^9, 3.539886988790883*^9}, {3.539927938171875*^9, 
   3.53992793846875*^9}, {3.54071442328125*^9, 3.54071442909375*^9}, 
   3.540723095515625*^9, {3.548090901480406*^9, 3.5480909433938026`*^9}, {
   3.5480909797538824`*^9, 3.5480909822020226`*^9}, {3.548095083653612*^9, 
   3.5480950897289596`*^9}, {3.5480951621681027`*^9, 
   3.5480952019593787`*^9}, {3.5480960751843243`*^9, 
   3.5480960879650555`*^9}, {3.5480962868904333`*^9, 3.548096294650877*^9}, {
   3.5480965691955805`*^9, 3.5480965697786136`*^9}, {3.5481267925180745`*^9, 
   3.5481267958932676`*^9}, {3.5481273151859694`*^9, 
   3.5481273395793643`*^9}, {3.5481275657813025`*^9, 3.548127590952742*^9}, {
   3.54812763689637*^9, 3.548127637651413*^9}, {3.5481584105735235`*^9, 
   3.548158419456032*^9}, {3.5481596600509896`*^9, 3.548159660127994*^9}, 
   3.5527311318820496`*^9, {3.552731163122093*^9, 3.552731298679084*^9}, {
   3.552731337024338*^9, 3.552731337294338*^9}, 3.5527314277468653`*^9, {
   3.552731463706916*^9, 3.5527315301502085`*^9}, 3.5527319569618998`*^9, 
   3.552732353199563*^9, {3.552732458451583*^9, 3.5527324639248962`*^9}, {
   3.552732512179656*^9, 3.552732530287692*^9}, {3.552795232793787*^9, 
   3.5527952331698084`*^9}, {3.5527952653606496`*^9, 
   3.5527952656746674`*^9}, {3.5528037317508993`*^9, 
   3.5528037355411158`*^9}, {3.55281312517515*^9, 3.55281312543515*^9}, {
   3.5533349390597544`*^9, 3.5533349399818077`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"\[ImaginaryI]", " ", "\[Alpha]"}], 
     SqrtBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}]]]}], ",", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", "+", 
     SqrtBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}]]}], 
    RowBox[{"2", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}]]}]]}], "}"}]], "Output",
 CellChangeTimes->{
  3.548142901265442*^9, 3.5481584376560726`*^9, 3.5481596629501553`*^9, 
   3.5481655370921373`*^9, 3.548166610884555*^9, 3.5481842633272166`*^9, 
   3.548415406125551*^9, 3.549351048535163*^9, 3.549359867860135*^9, 
   3.549360908580597*^9, 3.5516023116107225`*^9, 3.55160279072775*^9, 
   3.5527189471661468`*^9, 3.5527301665172925`*^9, 3.552731370674385*^9, 
   3.5527314285868664`*^9, {3.552731464696917*^9, 3.5527314766769333`*^9}, 
   3.5527315406002235`*^9, 3.5527321619526243`*^9, 3.5527324643569207`*^9, {
   3.552732515499846*^9, 3.552732531321751*^9}, 3.5527952344288807`*^9, 
   3.552795266815733*^9, 3.5527982843103237`*^9, 3.552803759084463*^9, 
   3.552812544579137*^9, 3.5528131412551727`*^9, 3.552901228150543*^9, 
   3.553329221445726*^9, 3.5533412415712376`*^9, 3.5534010579308743`*^9, 
   3.5534235297063446`*^9, 3.553503933169986*^9, 3.5535381863079786`*^9, 
   3.55391771105459*^9, 3.5539199348834*^9, 3.553930760573249*^9, 
   3.5539315496663823`*^9, 3.5540021334628468`*^9, 3.5552229230012054`*^9}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{
  3.548142901265442*^9, 3.5481584376560726`*^9, 3.5481596629501553`*^9, 
   3.5481655370921373`*^9, 3.548166610884555*^9, 3.5481842633272166`*^9, 
   3.548415406125551*^9, 3.549351048535163*^9, 3.549359867860135*^9, 
   3.549360908580597*^9, 3.5516023116107225`*^9, 3.55160279072775*^9, 
   3.5527189471661468`*^9, 3.5527301665172925`*^9, 3.552731370674385*^9, 
   3.5527314285868664`*^9, {3.552731464696917*^9, 3.5527314766769333`*^9}, 
   3.5527315406002235`*^9, 3.5527321619526243`*^9, 3.5527324643569207`*^9, {
   3.552732515499846*^9, 3.552732531321751*^9}, 3.5527952344288807`*^9, 
   3.552795266815733*^9, 3.5527982843103237`*^9, 3.552803759084463*^9, 
   3.552812544579137*^9, 3.5528131412551727`*^9, 3.552901228150543*^9, 
   3.553329221445726*^9, 3.5533412415712376`*^9, 3.5534010579308743`*^9, 
   3.5534235297063446`*^9, 3.553503933169986*^9, 3.5535381863079786`*^9, 
   3.55391771105459*^9, 3.5539199348834*^9, 3.553930760573249*^9, 
   3.5539315496663823`*^9, 3.5540021334628468`*^9, 3.555222923032406*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"\[ImaginaryI]", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}]]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.548142901265442*^9, 3.5481584376560726`*^9, 3.5481596629501553`*^9, 
   3.5481655370921373`*^9, 3.548166610884555*^9, 3.5481842633272166`*^9, 
   3.548415406125551*^9, 3.549351048535163*^9, 3.549359867860135*^9, 
   3.549360908580597*^9, 3.5516023116107225`*^9, 3.55160279072775*^9, 
   3.5527189471661468`*^9, 3.5527301665172925`*^9, 3.552731370674385*^9, 
   3.5527314285868664`*^9, {3.552731464696917*^9, 3.5527314766769333`*^9}, 
   3.5527315406002235`*^9, 3.5527321619526243`*^9, 3.5527324643569207`*^9, {
   3.552732515499846*^9, 3.552732531321751*^9}, 3.5527952344288807`*^9, 
   3.552795266815733*^9, 3.5527982843103237`*^9, 3.552803759084463*^9, 
   3.552812544579137*^9, 3.5528131412551727`*^9, 3.552901228150543*^9, 
   3.553329221445726*^9, 3.5533412415712376`*^9, 3.5534010579308743`*^9, 
   3.5534235297063446`*^9, 3.553503933169986*^9, 3.5535381863079786`*^9, 
   3.55391771105459*^9, 3.5539199348834*^9, 3.553930760573249*^9, 
   3.5539315496663823`*^9, 3.5540021334628468`*^9, 3.555222923032406*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Conjugate", "[", 
       RowBox[{"p", "[", "\[Alpha]", "]"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"u", ",", "v"}], "}"}]}], ",", "assump"}], "]"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"=", 
    RowBox[{"z", "[", 
     RowBox[{"u", ",", "v", ",", "\[Alpha]"}], "]"}]}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"%", "*", 
      RowBox[{"q", "[", "\[Alpha]", "]"}]}], "+", 
     RowBox[{"Conjugate", "[", 
      RowBox[{"%", "*", 
       RowBox[{"q", "[", "\[Alpha]", "]"}]}], "]"}]}], ",", 
    RowBox[{"assump", "&&", 
     RowBox[{"Element", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"u", ",", "v"}], "}"}], ",", "Reals"}], "]"}]}]}], "]"}], 
  RowBox[{"(*", "checking", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.521805882140625*^9, 3.5218059091875*^9}, {
   3.52180673809375*^9, 3.5218068196875*^9}, {3.521806871578125*^9, 
   3.521806914984375*^9}, {3.5218069943125*^9, 3.52180704903125*^9}, {
   3.521807100453125*^9, 3.52180710559375*^9}, {3.521807190375*^9, 
   3.521807210953125*^9}, {3.521807279625*^9, 3.521807293546875*^9}, {
   3.521807361578125*^9, 3.5218073628125*^9}, 3.521807398875*^9, 
   3.52180748765625*^9, {3.52180785709375*^9, 3.52180787809375*^9}, {
   3.521807944109375*^9, 3.52180795525*^9}, {3.521807986828125*^9, 
   3.52180800171875*^9}, {3.521808057234375*^9, 3.52180809946875*^9}, {
   3.52180947346875*^9, 3.52180950115625*^9}, {3.5218111619375*^9, 
   3.521811388734375*^9}, {3.52181144221875*^9, 3.521811564703125*^9}, {
   3.521811715796875*^9, 3.521811720390625*^9}, {3.521868935125*^9, 
   3.521868971796875*^9}, 3.52187936828125*^9, {3.535287443828125*^9, 
   3.535287496015625*^9}, {3.535287574734375*^9, 3.535287599484375*^9}, {
   3.53528766496875*^9, 3.535287669640625*^9}, {3.535957372484375*^9, 
   3.535957419515625*^9}, 3.53598073259375*^9, {3.53598079340625*^9, 
   3.535980795671875*^9}, 3.53700894946875*^9, {3.53700935784375*^9, 
   3.537009371421875*^9}, {3.538220826265625*^9, 3.53822087909375*^9}, {
   3.53911554567222*^9, 3.5391155731227903`*^9}, {3.548095378417472*^9, 
   3.5480954014757905`*^9}, {3.5480954861836357`*^9, 
   3.5480955018465314`*^9}, {3.548096496420418*^9, 3.5480965479423647`*^9}, 
   3.5480965850364866`*^9, {3.5527313373143387`*^9, 3.552731337334338*^9}, {
   3.552731391484414*^9, 3.5527313919944153`*^9}, {3.5527326017207775`*^9, 
   3.5527326368937893`*^9}, 3.5533348521027813`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"u", ",", "v"}], "}"}]], "Output",
 CellChangeTimes->{
  3.548142901541458*^9, 3.5481596721446815`*^9, 3.548166611176571*^9, 
   3.5484154062235565`*^9, 3.549351048628763*^9, 3.549359867980135*^9, 
   3.5493609087005973`*^9, 3.55160279082135*^9, 3.5527189498993034`*^9, 
   3.5527301702972975`*^9, {3.552731385004405*^9, 3.5527313929644165`*^9}, 
   3.552732547597682*^9, {3.5527326064430475`*^9, 3.552732637493824*^9}, 
   3.552798299603198*^9, 3.5528037616846113`*^9, 3.552812544709137*^9, 
   3.5529012312705483`*^9, 3.5533292215837336`*^9, 3.553341244117383*^9, 
   3.5534010623541274`*^9, 3.5534235301813717`*^9, 3.5535381871179795`*^9, 
   3.553930763633424*^9, 3.555222923344406*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"z_", ",", " ", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Conjugate", "[", 
       RowBox[{"p", "[", "\[Alpha]", "]"}], "]"}], ".", 
      RowBox[{"F", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"z", "*", 
          RowBox[{"q", "[", "\[Alpha]", "]"}]}], "+", 
         RowBox[{"zconj", "*", 
          RowBox[{"Conjugate", "[", 
           RowBox[{"q", "[", "\[Alpha]", "]"}], "]"}]}]}], ",", " ", 
        "\[Alpha]"}], "]"}]}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD10", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", "z"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD01", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", "zconj"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"gD10", "[", 
     RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}], ",", 
    RowBox[{"gD01", "[", 
     RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], "}"}], " ", 
  RowBox[{"(*", "checking", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD20", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"g", "[", 
       RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD11", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"g", "[", 
       RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", "z", ",", 
      "zconj"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gD02", "[", 
     RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"zconj", ",", "2"}], "}"}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD30", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"g", "[", 
       RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "3"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD21", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"g", "[", 
       RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}], ",", "zconj"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD12", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"g", "[", 
       RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", "z", ",", 
      RowBox[{"{", 
       RowBox[{"zconj", ",", "2"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gD03", "[", 
     RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"zconj", ",", "3"}], "}"}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD40", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "4"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD31", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "3"}], "}"}], ",", "zconj"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD22", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"zconj", ",", "2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD13", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", "z", ",", 
     RowBox[{"{", 
      RowBox[{"zconj", ",", "3"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD04", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"zconj", ",", "4"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.535956087953125*^9, 3.535956263765625*^9}, {
   3.535980301828125*^9, 3.535980321296875*^9}, {3.536490901578125*^9, 
   3.536490902765625*^9}, 3.538115855296875*^9, {3.538135061265625*^9, 
   3.53813506378125*^9}, {3.538826273359375*^9, 3.538826297*^9}, {
   3.53882635778125*^9, 3.538826367125*^9}, 3.538826418515625*^9, {
   3.53906009240625*^9, 3.539060093578125*^9}, {3.540548609234375*^9, 
   3.540548616421875*^9}, {3.548095435597742*^9, 3.5480954483814735`*^9}, {
   3.5480955304511676`*^9, 3.548095613413913*^9}, {3.54809564885894*^9, 
   3.5480956930054655`*^9}, {3.5480965921218915`*^9, 
   3.5480966048476195`*^9}, {3.548096639353593*^9, 3.548096644128866*^9}, {
   3.5481656666865497`*^9, 3.5481656734829383`*^9}, {3.5527189587508097`*^9, 
   3.5527189611639476`*^9}, {3.5527313373543386`*^9, 
   3.5527313377643394`*^9}, {3.553334890299966*^9, 3.5533349049438033`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.5481429029245367`*^9, 3.5481584412382774`*^9, 3.548159679029075*^9, {
   3.5481656537928123`*^9, 3.5481656747070084`*^9}, 3.548166612829666*^9, 
   3.5484154067745886`*^9, 3.549351049205964*^9, 3.549359868660136*^9, 
   3.5493609094505982`*^9, 3.551602791398551*^9, 3.5527189639451065`*^9, 
   3.5527301983173375`*^9, 3.55273268218638*^9, 3.552798309581769*^9, 
   3.552803768755016*^9, 3.552812545429138*^9, 3.552901232830551*^9, 
   3.553329222068762*^9, 3.553341246612526*^9, 3.553401065654316*^9, 
   3.553423530559393*^9, 3.5535039369252005`*^9, 3.5535381877779803`*^9, 
   3.553917725547015*^9, 3.5539199395066643`*^9, 3.553930766943613*^9, 
   3.553931556704785*^9, 3.55400213718806*^9, 3.5552229236096067`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"h", "[", "w_", "]"}], "=", 
   RowBox[{"w", "+", 
    RowBox[{"H20", " ", 
     RowBox[{
      RowBox[{"w", "^", "2"}], "/", "2"}]}], " ", "+", " ", 
    RowBox[{"H11", " ", "*", "w", "*", " ", 
     RowBox[{"Conjugate", "[", "w", "]"}]}], " ", "+", " ", 
    RowBox[{"H02", "*", 
     RowBox[{
      RowBox[{
       RowBox[{"Conjugate", "[", "w", "]"}], "^", "2"}], "/", "2"}]}], " ", 
    "+", 
    RowBox[{
     RowBox[{"H30", "/", "6"}], " ", 
     RowBox[{"w", "^", "3"}]}], " ", "+", "  ", 
    RowBox[{
     RowBox[{"H12", "/", "2"}], " ", "w", " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "w", "]"}], "^", "2"}]}], " ", "+", " ", 
    RowBox[{
     RowBox[{"H03", "/", "6"}], " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "w", "]"}], "^", "3"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"G4", "[", "z_", "]"}], "=", 
    RowBox[{
     RowBox[{"mu", " ", "z"}], " ", "+", " ", 
     RowBox[{
      RowBox[{"G20", "/", "2"}], 
      RowBox[{"z", "^", "2"}]}], "+", 
     RowBox[{"G11", " ", "z", " ", 
      RowBox[{"Conjugate", "[", "z", "]"}]}], " ", "+", 
     RowBox[{
      RowBox[{"G02", "/", "2"}], " ", 
      RowBox[{
       RowBox[{"Conjugate", "[", "z", "]"}], "^", "2"}]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"G30", "/", "6"}], " ", 
      RowBox[{"z", "^", "3"}]}], " ", "+", "  ", 
     RowBox[{
      RowBox[{"G12", "/", "2"}], " ", "z", " ", 
      RowBox[{
       RowBox[{"Conjugate", "[", "z", "]"}], "^", "2"}]}], " ", "+", 
     RowBox[{
      RowBox[{"G21", "/", "2"}], " ", 
      RowBox[{"z", "^", "2"}], " ", 
      RowBox[{"Conjugate", "[", "z", "]"}]}], "+", " ", 
     RowBox[{
      RowBox[{"G03", "/", "6"}], " ", 
      RowBox[{
       RowBox[{"Conjugate", "[", "z", "]"}], "^", "3"}]}], " ", "+", 
     RowBox[{
      RowBox[{"G40", "/", "24"}], 
      RowBox[{"z", "^", "4"}]}], "+", 
     RowBox[{
      RowBox[{"G31", "/", "6"}], 
      RowBox[{"z", "^", "3"}], 
      RowBox[{"Conjugate", "[", "z", "]"}]}], "+", 
     RowBox[{
      RowBox[{"G22", "/", "4"}], 
      RowBox[{"z", "^", "2"}], " ", 
      RowBox[{
       RowBox[{"Conjugate", "[", "z", "]"}], "^", "2"}]}], "+", 
     RowBox[{
      RowBox[{"G13", "/", "6"}], "z", " ", 
      RowBox[{
       RowBox[{"Conjugate", "[", "z", "]"}], "^", "3"}]}], "+", 
     RowBox[{
      RowBox[{"G04", "/", "24"}], 
      RowBox[{
       RowBox[{"Conjugate", "[", "z", "]"}], "^", "4"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{
   "G", " ", "up", " ", "to", " ", "the", " ", "4", "th", " ", "order", " ", 
    "terms"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"G4h", "[", 
    RowBox[{"w_", ",", "conjw_"}], "]"}], "=", 
   RowBox[{"Total", "[", 
    RowBox[{"Flatten", "[", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"CoefficientList", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"FunctionExpand", "[", 
             RowBox[{"G4", "[", 
              RowBox[{"h", "[", "w", "]"}], "]"}], "]"}], "/.", " ", 
            RowBox[{
             RowBox[{"Conjugate", "[", "w", "]"}], "\[Rule]", " ", 
             "conjw"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"w", ",", "conjw"}], "}"}]}], "]"}], 
         "\[LeftDoubleBracket]", 
         RowBox[{
          RowBox[{"i", "+", "1"}], ",", 
          RowBox[{"j", "+", "1"}]}], "\[RightDoubleBracket]"}], 
        RowBox[{"w", "^", "i"}], " ", 
        RowBox[{"conjw", "^", "j"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "0", ",", 
         RowBox[{"5", "-", "i"}]}], "}"}]}], "]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5390621903125*^9, 3.539062244984375*^9}, {
   3.539062275078125*^9, 3.539062576984375*^9}, {3.539062664359375*^9, 
   3.539062835296875*^9}, {3.539070105578125*^9, 3.539070105734375*^9}, {
   3.539070160453125*^9, 3.53907018371875*^9}, {3.53907023446875*^9, 
   3.5390702360625*^9}, {3.53907027575*^9, 3.539070279*^9}, {
   3.5390710840625*^9, 3.539071097640625*^9}, {3.539071147484375*^9, 
   3.53907119671875*^9}, {3.539071247859375*^9, 3.5390712708125*^9}, {
   3.539071360703125*^9, 3.539071497546875*^9}, {3.539071527671875*^9, 
   3.539071681265625*^9}, {3.5390717294375*^9, 3.53907174*^9}, {
   3.539071782109375*^9, 3.5390718499375*^9}, {3.539072039671875*^9, 
   3.53907203971875*^9}, {3.539072095625*^9, 3.539072117953125*^9}, {
   3.539072244796875*^9, 3.53907224659375*^9}, {3.539072359265625*^9, 
   3.539072361078125*^9}, {3.53907245346875*^9, 3.539072467453125*^9}, {
   3.53907936325*^9, 3.539079363828125*^9}, {3.53917124095814*^9, 
   3.5391712776272373`*^9}, {3.539171331015291*^9, 3.5391713318623395`*^9}, {
   3.5391714037804527`*^9, 3.5391717753467054`*^9}, {3.5391718721282406`*^9, 
   3.5391719111404724`*^9}, {3.539172145319866*^9, 3.5391721531363134`*^9}, {
   3.5391722519869676`*^9, 3.539172260170436*^9}, {3.5391725408274884`*^9, 
   3.539172549821003*^9}, {3.5391725877401714`*^9, 3.5391725902733164`*^9}, {
   3.5391726257633467`*^9, 3.5391726392011147`*^9}, {3.5391727069239883`*^9, 
   3.539172708560082*^9}, 3.539172741759981*^9, {3.539173356688153*^9, 
   3.5391733839257107`*^9}, {3.5391737567920375`*^9, 3.539173757130057*^9}, {
   3.539173890022658*^9, 3.539173954956372*^9}, {3.539176757762683*^9, 
   3.5391767619259214`*^9}, 3.5391787308685384`*^9, {3.539180165839614*^9, 
   3.5391801732220364`*^9}, {3.539180317387282*^9, 3.5391803512882214`*^9}, {
   3.539180969694592*^9, 3.5391809713086843`*^9}, {3.539181591078133*^9, 
   3.5391816192707453`*^9}, {3.5391821246216497`*^9, 3.539182148378009*^9}, {
   3.539182391579919*^9, 3.539182413541175*^9}, {3.5391825923064003`*^9, 
   3.5391826228321457`*^9}, 3.5391852702795715`*^9, {3.539185447990736*^9, 
   3.539185451577941*^9}, 3.5391856304291706`*^9, {3.53942683815625*^9, 
   3.539426841859375*^9}, 3.539426956625*^9, {3.539667200703125*^9, 
   3.53966720553125*^9}, {3.539942085765625*^9, 3.539942093515625*^9}, {
   3.5480963903073483`*^9, 3.5480963908723807`*^9}, {3.548096438796122*^9, 
   3.5480964633565264`*^9}, {3.5480966976179256`*^9, 3.548096775717393*^9}, {
   3.5480968097053366`*^9, 3.548096825219224*^9}, {3.5480970092397494`*^9, 
   3.5480970238415847`*^9}, {3.5480971342388988`*^9, 3.548097140691268*^9}, {
   3.5480976917947893`*^9, 3.5480977130050025`*^9}, {3.5480977943476553`*^9, 
   3.5480977949996924`*^9}, {3.548147926327859*^9, 3.548147940770685*^9}, {
   3.5533412180528927`*^9, 3.553341218238903*^9}, {3.5533416146645775`*^9, 
   3.5533416202298956`*^9}, {3.5533647175596294`*^9, 3.553364719959767*^9}, 
   3.5533647595240297`*^9, {3.5533648058216777`*^9, 3.553364806123695*^9}, 
   3.5534009863057775`*^9, {3.5539308018566103`*^9, 3.553930805962845*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"hinv4par", "[", "z_", "]"}], "=", 
   RowBox[{"z", "+", 
    RowBox[{"a20", " ", 
     RowBox[{"z", "^", "2"}]}], "+", 
    RowBox[{"a11", " ", "z", " ", 
     RowBox[{"Conjugate", "[", "z", "]"}]}], "+", 
    RowBox[{"a02", " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "z", "]"}], "^", "2"}]}], "+", 
    RowBox[{"a30", " ", 
     RowBox[{"z", "^", "3"}]}], "+", 
    RowBox[{"a21", " ", 
     RowBox[{"z", "^", "2"}], " ", 
     RowBox[{"Conjugate", "[", "z", "]"}]}], " ", "+", " ", 
    RowBox[{"a12", " ", "z", " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "z", "]"}], "^", "2"}]}], "+", 
    RowBox[{"a03", " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "z", "]"}], "^", "3"}]}], "+", 
    "\[IndentingNewLine]", 
    RowBox[{"a40", " ", 
     RowBox[{"z", "^", "4"}]}], "+", 
    RowBox[{"a31", " ", 
     RowBox[{"z", "^", "3"}], " ", 
     RowBox[{"Conjugate", "[", "z", "]"}]}], " ", "+", " ", 
    RowBox[{"a22", " ", 
     RowBox[{"z", "^", "2"}], " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "z", "]"}], "^", "2"}]}], "+", 
    RowBox[{"a13", " ", "z", " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "z", "]"}], "^", "3"}]}], " ", "+", " ", 
    RowBox[{"a04", " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "z", "]"}], "^", "4"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"hinv4hpar", "[", 
    RowBox[{"w_", ",", "conjw_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"hinv4par", "[", 
       RowBox[{"h", "[", "w", "]"}], "]"}], "//.", 
      RowBox[{
       RowBox[{"Conjugate", "[", 
        RowBox[{"u_", "+", "v_"}], "]"}], "\[Rule]", " ", 
       RowBox[{
        RowBox[{"Conjugate", "[", "u", "]"}], "+", 
        RowBox[{"Conjugate", "[", "v", "]"}]}]}]}], "//.", 
     RowBox[{
      RowBox[{"Conjugate", "[", 
       RowBox[{"u_", "*", "v_"}], "]"}], "\[Rule]", " ", 
      RowBox[{
       RowBox[{"Conjugate", "[", "u", "]"}], "*", 
       RowBox[{"Conjugate", "[", "v", "]"}]}]}]}], "/.", 
    RowBox[{
     RowBox[{"Conjugate", "[", "w", "]"}], "\[Rule]", "conjw"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coeffhinv4hpar", "=", 
   RowBox[{"CoefficientList", "[", 
    RowBox[{
     RowBox[{"hinv4hpar", "[", 
      RowBox[{"w", ",", "conjw"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "conjw"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"solhinv4", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"coeffhinv4hpar", "[", 
          RowBox[{"[", 
           RowBox[{"3", ",", "1"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv4hpar", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "2"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv4hpar", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "3"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv4hpar", "[", 
          RowBox[{"[", 
           RowBox[{"4", ",", "1"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv4hpar", "[", 
          RowBox[{"[", 
           RowBox[{"3", ",", "2"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv4hpar", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "3"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv4hpar", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "4"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv4hpar", "[", 
          RowBox[{"[", 
           RowBox[{"5", ",", "1"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv4hpar", "[", 
          RowBox[{"[", 
           RowBox[{"4", ",", "2"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv4hpar", "[", 
          RowBox[{"[", 
           RowBox[{"3", ",", "3"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv4hpar", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "4"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv4hpar", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "5"}], "]"}], "]"}], "\[Equal]", "0"}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{
       "a20", ",", "a11", ",", "a02", ",", "a30", ",", "a21", ",", "a12", ",",
         "a03", ",", "a40", ",", "a31", ",", "a22", ",", "a13", ",", "a04"}], 
       "}"}]}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5539308374266443`*^9, 3.553930906568599*^9}, {
   3.5539309691661797`*^9, 3.553930969291187*^9}, 3.553931003000115*^9, {
   3.55393106760281*^9, 3.553931135177675*^9}, {3.553931168349572*^9, 
   3.5539311720447836`*^9}, {3.5539315718976536`*^9, 3.5539315764049115`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"hinv", "[", "z_", "]"}], "=", 
   RowBox[{
    RowBox[{"hinv4par", "[", "z", "]"}], "/.", "solhinv4"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.553931010423539*^9, 3.5539310449575143`*^9}, {
  3.553931161994209*^9, 3.553931209723939*^9}, {3.553931587949572*^9, 
  3.5539315967180734`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"hinvG4h", "[", 
    RowBox[{"w_", ",", "conjw_"}], "]"}], "=", 
   RowBox[{"FunctionExpand", "[", 
    RowBox[{"hinv", "[", 
     RowBox[{"G4h", "[", 
      RowBox[{"w", ",", "conjw"}], "]"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.553864449222204*^9, 3.553864484188204*^9}, {
   3.553864661677356*^9, 3.5538646818785114`*^9}, {3.553864718295594*^9, 
   3.553864719478662*^9}, {3.553864755018695*^9, 3.553864757616843*^9}, 
   3.553887298778773*^9, 3.5538874528755865`*^9, {3.5538891685967197`*^9, 
   3.553889188333849*^9}, {3.5539180852028475`*^9, 3.553918105950884*^9}, 
   3.5539181451069527`*^9, {3.553920231073341*^9, 3.5539202393538146`*^9}, {
   3.553931335352124*^9, 3.5539313354631305`*^9}, 3.553931500423566*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"coeffhinvG4h", "=", 
   RowBox[{"CoefficientList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"hinvG4h", "[", 
       RowBox[{"w", ",", 
        RowBox[{"Conjugate", "[", "w", "]"}]}], "]"}], "/.", 
      RowBox[{
       RowBox[{"Conjugate", "[", "w", "]"}], "\[Rule]", " ", "conjw"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "conjw"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.55386472451995*^9, 3.553864739111785*^9}, {
  3.5538892114691725`*^9, 3.553889213605294*^9}, {3.5539202578358717`*^9, 
  3.5539202876945796`*^9}, {3.553931503486741*^9, 3.55393150504283*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"sol20", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"coeffhinvG4h", "\[LeftDoubleBracket]", 
          RowBox[{"3", ",", "1"}], "\[RightDoubleBracket]"}], "\[Equal]", 
         "0"}], ",", "H20"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sol11", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"coeffhinvG4h", "\[LeftDoubleBracket]", 
          RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}], "\[Equal]", 
         "0"}], ",", "H11"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sol02", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"coeffhinvG4h", "\[LeftDoubleBracket]", 
          RowBox[{"1", ",", "3"}], "\[RightDoubleBracket]"}], "\[Equal]", 
         "0"}], ",", "H02"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sol30", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"coeffhinvG4h", "\[LeftDoubleBracket]", 
             RowBox[{"4", ",", "1"}], "\[RightDoubleBracket]"}], "\[Equal]", 
            "0"}], ",", "H30"}], "]"}], "/.", "sol20"}], " ", "/.", " ", 
        "sol11"}], "/.", " ", "sol02"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sol12", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"coeffhinvG4h", "\[LeftDoubleBracket]", 
             RowBox[{"2", ",", "3"}], "\[RightDoubleBracket]"}], "\[Equal]", 
            "0"}], ",", "H12"}], "]"}], "/.", "sol20"}], " ", "/.", " ", 
        "sol11"}], " ", "/.", " ", "sol02"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sol03", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"coeffhinvG4h", "\[LeftDoubleBracket]", 
             RowBox[{"1", ",", "4"}], "\[RightDoubleBracket]"}], "\[Equal]", 
            "0"}], ",", "H03"}], "]"}], "/.", "sol20"}], " ", "/.", " ", 
        "sol11"}], " ", "/.", " ", "sol02"}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.539071772421875*^9, 3.539071773984375*^9}, {
   3.5390718538125*^9, 3.539071862078125*^9}, {3.539071966265625*^9, 
   3.5390719973125*^9}, {3.5390720496875*^9, 3.539072192296875*^9}, {
   3.53907231703125*^9, 3.539072340125*^9}, {3.539072487890625*^9, 
   3.539072628609375*^9}, {3.5390728108125*^9, 3.539072854296875*^9}, {
   3.5390729655625*^9, 3.539072967921875*^9}, {3.539073021421875*^9, 
   3.539073053734375*^9}, {3.539073132*^9, 3.53907315171875*^9}, {
   3.539073193953125*^9, 3.5390732361875*^9}, {3.53907334525*^9, 
   3.539073394578125*^9}, {3.539073434046875*^9, 3.539073570359375*^9}, {
   3.5390736279375*^9, 3.539073648109375*^9}, {3.539074057515625*^9, 
   3.5390740635625*^9}, {3.53907414334375*^9, 3.539074159875*^9}, 
   3.539074523421875*^9, {3.5390794021875*^9, 3.539079475453125*^9}, {
   3.539172806101661*^9, 3.5391728469399967`*^9}, {3.5391729144568586`*^9, 
   3.5391729483197956`*^9}, {3.5391729784095163`*^9, 3.539173045671364*^9}, {
   3.5391810491301355`*^9, 3.5391811130527916`*^9}, {3.5391813066678658`*^9, 
   3.5391813233248186`*^9}, {3.539181369737473*^9, 3.5391813757778187`*^9}, {
   3.539182790813754*^9, 3.539182841168634*^9}, {3.539182912861735*^9, 
   3.5391829777844477`*^9}, {3.539183036874828*^9, 3.539183041495092*^9}, {
   3.539426962203125*^9, 3.539426967203125*^9}, {3.55393152060472*^9, 
   3.553931520718726*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"G20", "\[Rule]", 
      RowBox[{"gD20", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G11", "->", 
      RowBox[{"gD11", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G02", "->", 
      RowBox[{"gD02", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G30", "->", 
      RowBox[{"gD30", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G21", "->", 
      RowBox[{"gD21", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G12", "->", 
      RowBox[{"gD12", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G03", "\[Rule]", 
      RowBox[{"gD03", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G30", "->", 
      RowBox[{"gD30", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G21", "->", 
      RowBox[{"gD21", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G12", "->", 
      RowBox[{"gD12", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G03", "\[Rule]", 
      RowBox[{"gD03", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G40", "->", 
      RowBox[{"gD40", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G31", "->", 
      RowBox[{"gD31", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G22", "->", 
      RowBox[{"gD22", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G13", "\[Rule]", 
      RowBox[{"gD13", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"G04", "\[Rule]", " ", 
      RowBox[{"gD04", "[", 
       RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}]}], ",", 
     RowBox[{"mu", "\[Rule]", 
      RowBox[{"\[Mu]", "[", "\[Alpha]", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h20", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"H20", "/.", " ", "sol20"}], "/.", "rules"}], ",", "assump"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h11", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"H11", "/.", " ", "sol11"}], "/.", "rules"}], ",", "assump"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h02", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Together", "[", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"FullSimplify", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"H02", "/.", " ", "sol02"}], "/.", "rules"}], ",", 
         "assump"}], "]"}], "/.", 
       RowBox[{
        RowBox[{"Conjugate", "[", 
         SqrtBox[
          RowBox[{"1", "-", 
           RowBox[{"4", " ", "\[Alpha]"}]}]], "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"4", "\[Alpha]"}], "-", "1"}], "]"}]}]}]}], ",", 
      "assump"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h30", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"FullSimplify", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"H30", "/.", " ", "sol30"}], "/.", "rules"}], ",", 
        "assump"}], "]"}], "/.", 
      RowBox[{
       RowBox[{"Conjugate", "[", 
        SqrtBox[
         RowBox[{"1", "-", 
          RowBox[{"4", " ", "\[Alpha]"}]}]], "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"-", "\[ImaginaryI]"}], " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"4", "\[Alpha]"}], "-", "1"}], "]"}]}]}]}], ",", "assump"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h12", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"FullSimplify", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"H12", "/.", " ", "sol12"}], "/.", "rules"}], ",", 
        "assump"}], "]"}], "/.", 
      RowBox[{
       RowBox[{"Conjugate", "[", 
        SqrtBox[
         RowBox[{"1", "-", 
          RowBox[{"4", " ", "\[Alpha]"}]}]], "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"-", "\[ImaginaryI]"}], " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"4", "\[Alpha]"}], "-", "1"}], "]"}]}]}]}], ",", "assump"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h03", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"FullSimplify", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"H03", "/.", " ", "sol03"}], "/.", "rules"}], ",", 
        "assump"}], "]"}], "/.", 
      RowBox[{
       RowBox[{"Conjugate", "[", 
        SqrtBox[
         RowBox[{"1", "-", 
          RowBox[{"4", " ", "\[Alpha]"}]}]], "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"-", "\[ImaginaryI]"}], " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"4", "\[Alpha]"}], "-", "1"}], "]"}]}]}]}], ",", "assump"}],
     "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.53907366225*^9, 3.5390736745625*^9}, {
   3.53907371809375*^9, 3.539073827671875*^9}, {3.539074379015625*^9, 
   3.5390743821875*^9}, {3.539074424234375*^9, 3.539074512921875*^9}, {
   3.539074553046875*^9, 3.53907495253125*^9}, {3.53907883875*^9, 
   3.539078938265625*^9}, {3.53907949675*^9, 3.53907953109375*^9}, 
   3.539080347109375*^9, {3.539080380609375*^9, 3.539080382359375*^9}, {
   3.53908136746875*^9, 3.539081369890625*^9}, {3.53943531765625*^9, 
   3.539435377421875*^9}, {3.539435560453125*^9, 3.539435564609375*^9}, {
   3.5481481668416157`*^9, 3.5481481706568336`*^9}, {3.552731337774339*^9, 
   3.552731337814339*^9}, {3.552798638724595*^9, 3.5527986757677135`*^9}, {
   3.552798707193511*^9, 3.5527987947255173`*^9}, {3.5528124863190556`*^9, 
   3.552812498209072*^9}, {3.5533648903575125`*^9, 3.5533648983739715`*^9}, {
   3.5539320147799854`*^9, 3.553932015501026*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"hrules", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"{", 
     RowBox[{"rules", ",", 
      RowBox[{"H20", "\[Rule]", " ", 
       RowBox[{"h20", "[", "\[Alpha]", "]"}]}], ",", " ", 
      RowBox[{"H11", " ", "\[Rule]", "  ", 
       RowBox[{"h11", "[", "\[Alpha]", "]"}]}], ",", " ", 
      RowBox[{"H02", "\[Rule]", " ", 
       RowBox[{"h02", "[", "\[Alpha]", "]"}]}], ",", " ", 
      RowBox[{"H30", "\[Rule]", " ", 
       RowBox[{"h30", "[", "\[Alpha]", "]"}]}], " ", ",", " ", 
      RowBox[{"H12", " ", "\[Rule]", " ", 
       RowBox[{"h12", "[", "\[Alpha]", "]"}]}], " ", ",", " ", 
      RowBox[{"H03", " ", "\[Rule]", " ", 
       RowBox[{"h03", "[", "\[Alpha]", "]"}]}]}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.539511222640625*^9, 3.539511222984375*^9}, {
   3.5395113475625*^9, 3.53951139840625*^9}, {3.53951144659375*^9, 
   3.539511567890625*^9}, {3.53951169665625*^9, 3.5395117085625*^9}, {
   3.539511876796875*^9, 3.539511883015625*^9}, {3.53951194659375*^9, 
   3.5395121739375*^9}, {3.539512239015625*^9, 3.539512344234375*^9}, {
   3.539512444640625*^9, 3.539512549859375*^9}, {3.53951259828125*^9, 
   3.539512598921875*^9}, {3.539512648765625*^9, 3.53951266115625*^9}, {
   3.539513029765625*^9, 3.539513053203125*^9}, {3.539513124390625*^9, 
   3.539513131625*^9}, {3.539513211015625*^9, 3.539513277828125*^9}, {
   3.539514128546875*^9, 3.539514128703125*^9}, {3.539521818421875*^9, 
   3.53952184809375*^9}, {3.53952195753125*^9, 3.53952197684375*^9}, {
   3.5397096053302217`*^9, 3.5397096388041363`*^9}, {3.54054873446875*^9, 
   3.5405487536875*^9}, {3.54809722797126*^9, 3.548097288246708*^9}, {
   3.548097324020754*^9, 3.548097389883521*^9}, {3.5480979472033978`*^9, 
   3.5480979559018955`*^9}, {3.5481326393884964`*^9, 3.5481326408755813`*^9}, 
   3.5481480431065383`*^9, 3.5481481477125216`*^9, {3.552731337814339*^9, 
   3.552731337834339*^9}, 3.552803821511033*^9, 3.5528038662055893`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"h\[Alpha]", "[", 
    RowBox[{"w_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"w", "+", 
    RowBox[{
     RowBox[{"h20", "[", "\[Alpha]", "]"}], " ", 
     RowBox[{
      RowBox[{"w", "^", "2"}], "/", "2"}]}], " ", "+", " ", 
    RowBox[{
     RowBox[{"h11", "[", "\[Alpha]", "]"}], " ", "*", "w", "*", " ", 
     RowBox[{"Conjugate", "[", "w", "]"}]}], " ", "+", " ", 
    RowBox[{
     RowBox[{"h02", "[", "\[Alpha]", "]"}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"Conjugate", "[", "w", "]"}], "^", "2"}], "/", "2"}]}], " ", 
    "+", 
    RowBox[{
     RowBox[{
      RowBox[{"h30", "[", "\[Alpha]", "]"}], "/", "6"}], " ", 
     RowBox[{"w", "^", "3"}]}], " ", "+", "  ", 
    RowBox[{
     RowBox[{
      RowBox[{"h12", "[", "\[Alpha]", "]"}], "/", "2"}], " ", "w", " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "w", "]"}], "^", "2"}]}], " ", "+", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"h03", "[", "\[Alpha]", "]"}], "/", "6"}], " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "w", "]"}], "^", "3"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.53908207965625*^9, 3.53908214796875*^9}, {
   3.5390822505625*^9, 3.539082292*^9}, {3.539082331671875*^9, 
   3.5390823571875*^9}, {3.539082411015625*^9, 3.53908241403125*^9}, {
   3.53908322396875*^9, 3.5390832405*^9}, {3.5390833631875*^9, 
   3.539083367421875*^9}, {3.539084632921875*^9, 3.539084665328125*^9}, {
   3.548100020597989*^9, 3.5481000234181504`*^9}, {3.552731337834339*^9, 
   3.552731337854339*^9}, 3.552901255871792*^9}],

Cell["\<\
ESTIMATIONS

\
\>", "Subsubsection",
 CellChangeTimes->{{3.5540286047629185`*^9, 3.554028608940157*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 "Estimation of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["h", "\[Alpha]"], TraditionalForm]]]
}], "Subsubsection",
 CellChangeTimes->{{3.5481333374054203`*^9, 3.548133343907792*^9}, {
  3.548134332488336*^9, 3.5481343334733925`*^9}, {3.5527313378843393`*^9, 
  3.5527313378843393`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Absh\[Alpha]2nd", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Total", "[", 
      RowBox[{"Abs", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"h20", "[", "\[Alpha]", "]"}], "/", "2"}], ",", 
         RowBox[{"h11", "[", "\[Alpha]", "]"}], ",", 
         RowBox[{
          RowBox[{"h02", "[", "\[Alpha]", "]"}], "/", "2"}]}], "}"}], "]"}], 
      "]"}], ",", "assump"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h30abs", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"h30", "[", "\[Alpha]", "]"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h03abs", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"h03", "[", "\[Alpha]", "]"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"Refine", "[", 
      RowBox[{
       RowBox[{"ComplexExpand", "[", 
        RowBox[{"Refine", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"h12", "[", "\[Alpha]", "]"}], "/.", "hrules"}], ",", 
          "assump"}], "]"}], "]"}], ",", "assump"}], "]"}], "]"}], ",", 
    "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"Refine", "[", 
      RowBox[{
       RowBox[{"ComplexExpand", "[", 
        RowBox[{"Refine", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"h12", "[", "\[Alpha]", "]"}], "/.", "hrules"}], ",", 
          "assump"}], "]"}], "]"}], ",", "assump"}], "]"}], "]"}], ",", 
    "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h12abs", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Refine", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Absh\[Alpha]3rd", "[", "\[Alpha]_", "]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"h30abs", "[", "\[Alpha]", "]"}], "/", "6"}], "+", 
     RowBox[{
      RowBox[{"h12abs", "[", "\[Alpha]", "]"}], "/", "2"}], "+", 
     RowBox[{
      RowBox[{"h03abs", "[", "\[Alpha]", "]"}], "/", "6"}]}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Absh\[Alpha]2nd", "[", 
      RowBox[{"Interval", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "-", 
          RowBox[{"i", "/", "10000"}]}], ",", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}], 
      "]"}], "<", 
     RowBox[{"76", "/", "100"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Absh\[Alpha]3rd", "[", 
      RowBox[{"Interval", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "-", 
          RowBox[{"i", "/", "10000"}]}], ",", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}], 
      "]"}], "<", 
     RowBox[{"52", "/", "100"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.539078944140625*^9, 3.53907895153125*^9}, {
   3.53907930915625*^9, 3.539079342609375*^9}, {3.539079596328125*^9, 
   3.539079627796875*^9}, {3.5390798615625*^9, 3.539079949109375*^9}, {
   3.53908015*^9, 3.539080157796875*^9}, {3.53908018946875*^9, 
   3.53908019703125*^9}, {3.5390804024375*^9, 3.539080420921875*^9}, {
   3.539080823578125*^9, 3.53908086371875*^9}, {3.5391862807653675`*^9, 
   3.5391862875607567`*^9}, {3.539186343601962*^9, 3.5391863444620113`*^9}, {
   3.539427504984375*^9, 3.539427508859375*^9}, 3.539434270515625*^9, {
   3.5394409184864826`*^9, 3.5394409189925117`*^9}, {3.539452262611322*^9, 
   3.5394522720238605`*^9}, {3.539512829125*^9, 3.53951285596875*^9}, {
   3.539575149703125*^9, 3.53957524134375*^9}, {3.53957542246875*^9, 
   3.5395754243125*^9}, {3.5399293281875*^9, 3.5399293479375*^9}, {
   3.539931055171875*^9, 3.539931057078125*^9}, {3.542002849609375*^9, 
   3.542002856890625*^9}, {3.548132352531089*^9, 3.548132479356343*^9}, {
   3.548132824719096*^9, 3.548132874279931*^9}, 3.548133334850274*^9, {
   3.5481504888454266`*^9, 3.548150500943119*^9}, {3.5481505329859514`*^9, 
   3.548150621182996*^9}, {3.552731337894339*^9, 3.5527313379643393`*^9}, {
   3.552732817837139*^9, 3.5527328355221505`*^9}, {3.552733058877926*^9, 
   3.552733063299178*^9}, {3.5527942952581625`*^9, 3.552794296411229*^9}, {
   3.5528039143953457`*^9, 3.552803914534354*^9}, {3.552901275325026*^9, 
   3.552901278257831*^9}, {3.5534327811618166`*^9, 3.55343278839023*^9}}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{
  3.5528039238628874`*^9, 3.5528125684991703`*^9, {3.5529012707074175`*^9, 
   3.552901279521433*^9}, 3.5533292454781003`*^9, 3.5533413407199087`*^9, 
   3.55336519417889*^9, 3.553401258189328*^9, 3.5534235574909334`*^9, 
   3.5534327921324444`*^9, 3.553503977449519*^9, 3.5535382344030457`*^9, 
   3.5539324868759875`*^9, 3.554002359800792*^9, 3.5552229456956425`*^9}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{
  3.5528039238628874`*^9, 3.5528125684991703`*^9, {3.5529012707074175`*^9, 
   3.552901279521433*^9}, 3.5533292454781003`*^9, 3.5533413407199087`*^9, 
   3.55336519417889*^9, 3.553401258189328*^9, 3.5534235574909334`*^9, 
   3.5534327921324444`*^9, 3.553503977449519*^9, 3.5535382344030457`*^9, 
   3.5539324868759875`*^9, 3.554002359800792*^9, 3.5552229457456427`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"NMaxValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Absh\[Alpha]2nd", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}],
      ",", "\[Alpha]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"NMaxValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Absh\[Alpha]3rd", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}],
      ",", "\[Alpha]"}], "]"}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.552794311957118*^9, 3.5527944160370708`*^9}, {
  3.555223640140246*^9, 3.5552236433164277`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Showing that ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["h", "\[Alpha]"], TraditionalForm]]],
 " is injective on ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["B", 
    RowBox[{"1", "/", "3"}]], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["h", 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " is valid in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["B", 
    RowBox[{"1", "/", "5"}]], TraditionalForm]]],
 ", |z|<1/19 and |u|,|v|<1/8 ",
 "if |w|<1/20."
}], "Subsubsection",
 CellChangeTimes->{{3.549360802259448*^9, 3.5493608248704796`*^9}, {
   3.5527313379743395`*^9, 3.5527313379743395`*^9}, {3.5534329997563195`*^9, 
   3.5534329998243237`*^9}, 3.553932514266554*^9, {3.5540286826123705`*^9, 
   3.554028713378131*^9}, {3.554028975364115*^9, 3.554029025018955*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"2", "*", 
    RowBox[{"76", "/", "100"}], "*", 
    RowBox[{"(", 
     RowBox[{"1", "/", "3"}], ")"}]}], "+", 
   RowBox[{"3", "*", 
    RowBox[{"52", "/", "100"}], "*", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "/", "3"}], ")"}], "^", "2"}]}]}], "<", 
  "1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"1", "/", "5"}], "+", 
   RowBox[{
    RowBox[{"76", "/", "100"}], " ", "*", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "/", "3"}], ")"}], "^", "2"}]}], "+", 
   RowBox[{
    RowBox[{"52", "/", "100"}], "*", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "/", "3"}], ")"}], "^", "3"}]}]}], "<", 
  RowBox[{"1", "/", "3"}]}]}], "Input",
 CellChangeTimes->{{3.5493608432205057`*^9, 3.5493608909705725`*^9}, {
   3.5527331236226287`*^9, 3.552733123766637*^9}, {3.55343284834966*^9, 
   3.5534329294362974`*^9}, 3.5539325142675543`*^9, {3.5540287646980658`*^9, 
   3.554028955248965*^9}}],

Cell[BoxData["True"], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.549360878370555*^9, 3.549360891300573*^9}, 
   3.549360923600618*^9, 3.5516028051749735`*^9, 3.552730285071059*^9, 
   3.5527331275888557`*^9, 3.552812569039171*^9, 3.552901311220689*^9, 
   3.5533292460571337`*^9, 3.5534235582059746`*^9, {3.5534328683438034`*^9, 
   3.5534329302763453`*^9}, 3.553538235038047*^9, 3.5539325142685547`*^9, 
   3.554028956231021*^9, 3.555222946464044*^9}],

Cell[BoxData["True"], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.549360878370555*^9, 3.549360891300573*^9}, 
   3.549360923600618*^9, 3.5516028051749735`*^9, 3.552730285071059*^9, 
   3.5527331275888557`*^9, 3.552812569039171*^9, 3.552901311220689*^9, 
   3.5533292460571337`*^9, 3.5534235582059746`*^9, {3.5534328683438034`*^9, 
   3.5534329302763453`*^9}, 3.553538235038047*^9, 3.5539325142685547`*^9, 
   3.554028956231021*^9, 3.5552229464484444`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"1", "/", "20"}], "+", 
   RowBox[{
    RowBox[{"76", "/", "100"}], "/", 
    RowBox[{"20", "^", "2"}]}], "+", 
   RowBox[{
    RowBox[{"52", "/", "100"}], "/", 
    RowBox[{"20", "^", "3"}]}]}], "<", 
  RowBox[{"1", "/", "19"}]}]], "Input",
 CellChangeTimes->{{3.55393266507218*^9, 3.553932666088238*^9}, {
  3.5539326974840336`*^9, 3.5539327923394594`*^9}, {3.554002405708418*^9, 
  3.5540024414914646`*^9}, {3.554002500726853*^9, 3.554002520675994*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.5540024081125555`*^9, 3.554002442336513*^9}, {
   3.5540025068612037`*^9, 3.554002521101018*^9}, 3.555222946510844*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"1", "/", "8"}], "-", 
   RowBox[{
    RowBox[{"2", "/", "19"}], "/", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"7", "/", "8"}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"1", "/", "2"}], ")"}]}]}]}], ">", "0"}]], "Input",
 CellChangeTimes->{{3.553933021378559*^9, 3.553933066235125*^9}, {
  3.553933100430081*^9, 3.553933102479198*^9}, {3.554002534007756*^9, 
  3.5540025523768067`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.553932792794485*^9, {3.5539330174743357`*^9, 3.553933024825756*^9}, 
   3.5539330556275187`*^9, 3.553933103271243*^9, {3.554002538528015*^9, 
   3.5540025527528286`*^9}, 3.5552229465420446`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Estimations on g and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["R", "1"], TraditionalForm]]]
}], "Subsubsection",
 CellChangeTimes->{{3.5481331019909554`*^9, 3.548133114454668*^9}, {
  3.5481341971625957`*^9, 3.5481342185578194`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Absg2nd", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Total", "[", 
      RowBox[{"Abs", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"gD20", "[", 
           RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}], "/", "2"}], ",", 
         RowBox[{"gD11", "[", 
          RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"gD02", "[", 
           RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}], "/", "2"}]}], 
        "}"}], "]"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Absg2nd", "[", 
      RowBox[{"Interval", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "-", 
          RowBox[{"i", "/", "10000"}]}], ",", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}], 
      "]"}], "<", 
     RowBox[{"101", "/", "100"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Absg3rd", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Total", "[", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"gD30", "[", 
           RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}], "/", "6"}], ",", 
         RowBox[{
          RowBox[{"gD21", "[", 
           RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}], "/", "2"}], ",", 
         RowBox[{
          RowBox[{"gD12", "[", 
           RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}], "/", "2"}], ",", 
         " ", 
         RowBox[{
          RowBox[{"gD03", "[", 
           RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}], "/", "6"}]}], 
        "}"}], "]"}], ",", "assump"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Union", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Absg3rd", "[", 
       RowBox[{"Interval", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "-", 
           RowBox[{"i", "/", "10000"}]}], ",", 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}],
        "]"}], "<", 
      RowBox[{"109", "/", "100"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Absg4th", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Total", "[", 
      RowBox[{"FullSimplify", "[", 
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"gD40", "[", 
             RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}], "/", "24"}], 
           ",", 
           RowBox[{
            RowBox[{"gD31", "[", 
             RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}], "/", "6"}], ",", 
           RowBox[{
            RowBox[{"gD22", "[", 
             RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}], "/", "4"}], ",",
            " ", 
           RowBox[{
            RowBox[{"gD13", "[", 
             RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}], "/", "6"}], ",", 
           RowBox[{
            RowBox[{"gD04", "[", 
             RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "]"}], "/", "24"}]}], 
          "}"}], "]"}], ",", "assump"}], "]"}], "]"}], ",", "assump"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"R1part2", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{
    RowBox[{"8", "/", "7"}], " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", "\[Alpha]"}], "-", "1"}], ")"}], 
        RowBox[{"\[Alpha]", "^", "3"}]}], ")"}]}], "]"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"4", "/", "3"}], "/", "19"}], "+", 
      RowBox[{
       RowBox[{"32", "/", "120"}], "/", "19"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"R1", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Absg4th", "[", "\[Alpha]", "]"}], "+", 
      RowBox[{"R1part2", "[", "\[Alpha]", "]"}]}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"R1", "[", 
      RowBox[{"Interval", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "-", 
          RowBox[{"i", "/", "10000"}]}], ",", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}], 
      "]"}], "<", 
     RowBox[{"76", "/", "100"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.538161961157422*^9, 3.5381620137394295`*^9}, {
   3.538163162454132*^9, 3.538163179842127*^9}, {3.5381632580235987`*^9, 
   3.5381633628825965`*^9}, {3.5381636238465223`*^9, 3.538163678544651*^9}, {
   3.5381637559700794`*^9, 3.538163780928507*^9}, {3.538163980538924*^9, 
   3.53816399881997*^9}, {3.538164612261057*^9, 3.5381646373694925`*^9}, {
   3.538164711656742*^9, 3.538164794077456*^9}, {3.538165142860405*^9, 
   3.538165143942467*^9}, {3.538165196718486*^9, 3.5381651988526077`*^9}, {
   3.538200418796875*^9, 3.538200464125*^9}, {3.538200725828125*^9, 
   3.538200726125*^9}, {3.538200810875*^9, 3.53820083225*^9}, 
   3.538585986672295*^9, {3.538826259046875*^9, 3.538826260515625*^9}, {
   3.539929795890625*^9, 3.539929796734375*^9}, {3.548133178226316*^9, 
   3.54813325942496*^9}, {3.54813343880322*^9, 3.5481335814913816`*^9}, {
   3.548133624522843*^9, 3.548133624685852*^9}, {3.548133682509159*^9, 
   3.5481336877754602`*^9}, {3.5481600573237123`*^9, 
   3.5481600903946037`*^9}, {3.5481601257736273`*^9, 3.548160201884981*^9}, {
   3.551603779720582*^9, 3.551603779782982*^9}, {3.552730294961073*^9, 
   3.5527303068210897`*^9}, {3.5527313379843397`*^9, 3.55273133803434*^9}, {
   3.552732817875141*^9, 3.5527328355521517`*^9}, {3.5527949129644938`*^9, 
   3.552794949354575*^9}, {3.552803961296028*^9, 3.5528039725706735`*^9}, {
   3.552901316883499*^9, 3.5529013330763273`*^9}, {3.5533353056887245`*^9, 
   3.553335439937403*^9}, {3.5533354760484686`*^9, 3.5533355138316298`*^9}, {
   3.553336805621516*^9, 3.553336823747553*^9}, {3.553338487121692*^9, 
   3.553338517357422*^9}, {3.553341570219035*^9, 3.55334158288876*^9}, {
   3.5535077308110895`*^9, 3.553507754879466*^9}, {3.5539325620492873`*^9, 
   3.5539325682786436`*^9}, {3.553932605768788*^9, 3.5539326094820004`*^9}, {
   3.553933116482999*^9, 3.5539331452716455`*^9}, {3.5540026061218805`*^9, 
   3.5540026087840333`*^9}, {3.5540027747935286`*^9, 3.554002785089117*^9}, {
   3.5540028507818747`*^9, 3.5540028509288836`*^9}}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{
  3.5528039770279284`*^9, 3.552812569659172*^9, 3.5528132642241488`*^9, {
   3.5529013240127115`*^9, 3.5529013341839294`*^9}, 3.5533292468051767`*^9, {
   3.553335448347884*^9, 3.553335514952694*^9}, {3.5533368119778795`*^9, 
   3.5533368285618277`*^9}, {3.553338496206212*^9, 3.5533385176194363`*^9}, 
   3.5533415130637665`*^9, 3.5533415858899317`*^9, {3.5533652082376947`*^9, 
   3.5533652176742344`*^9}, 3.5534012690829515`*^9, 3.5534235589850187`*^9, 
   3.553503981075726*^9, {3.553507738194512*^9, 3.5535077565665627`*^9}, 
   3.553538236263048*^9, 3.553932535087745*^9, {3.553933123727413*^9, 
   3.553933147357765*^9}, 3.5540025684197245`*^9, {3.5540028382321568`*^9, 
   3.5540028531440096`*^9}, 3.5552229472480454`*^9}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{
  3.5528039770279284`*^9, 3.552812569659172*^9, 3.5528132642241488`*^9, {
   3.5529013240127115`*^9, 3.5529013341839294`*^9}, 3.5533292468051767`*^9, {
   3.553335448347884*^9, 3.553335514952694*^9}, {3.5533368119778795`*^9, 
   3.5533368285618277`*^9}, {3.553338496206212*^9, 3.5533385176194363`*^9}, 
   3.5533415130637665`*^9, 3.5533415858899317`*^9, {3.5533652082376947`*^9, 
   3.5533652176742344`*^9}, 3.5534012690829515`*^9, 3.5534235589850187`*^9, 
   3.553503981075726*^9, {3.553507738194512*^9, 3.5535077565665627`*^9}, 
   3.553538236263048*^9, 3.553932535087745*^9, {3.553933123727413*^9, 
   3.553933147357765*^9}, 3.5540025684197245`*^9, {3.5540028382321568`*^9, 
   3.5540028531440096`*^9}, 3.555222948328047*^9}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{
  3.5528039770279284`*^9, 3.552812569659172*^9, 3.5528132642241488`*^9, {
   3.5529013240127115`*^9, 3.5529013341839294`*^9}, 3.5533292468051767`*^9, {
   3.553335448347884*^9, 3.553335514952694*^9}, {3.5533368119778795`*^9, 
   3.5533368285618277`*^9}, {3.553338496206212*^9, 3.5533385176194363`*^9}, 
   3.5533415130637665`*^9, 3.5533415858899317`*^9, {3.5533652082376947`*^9, 
   3.5533652176742344`*^9}, 3.5534012690829515`*^9, 3.5534235589850187`*^9, 
   3.553503981075726*^9, {3.553507738194512*^9, 3.5535077565665627`*^9}, 
   3.553538236263048*^9, 3.553932535087745*^9, {3.553933123727413*^9, 
   3.553933147357765*^9}, 3.5540025684197245`*^9, {3.5540028382321568`*^9, 
   3.5540028531440096`*^9}, 3.5552229494516487`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"NMaxValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Absg2nd", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], ",", 
     "\[Alpha]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"NMaxValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Absg3rd", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], ",", 
     "\[Alpha]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"NMaxValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"R1", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], ",", 
     "\[Alpha]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"NMaxValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Absg4th", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], ",", 
     "\[Alpha]"}], "]"}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.5527949629803543`*^9, 3.5527949870817327`*^9}, {
  3.5534013072951374`*^9, 3.5534013163216534`*^9}, {3.553503984212906*^9, 
  3.553504012843543*^9}, {3.55522267322957*^9, 3.5552226787839785`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "/", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{
      RowBox[{"76", "/", "100"}], "/", "20"}], "-", 
     RowBox[{
      RowBox[{"52", "/", "100"}], "/", 
      RowBox[{"20", "^", "2"}]}]}], ")"}]}], "<", 
  RowBox[{"105", "/", "100"}]}]], "Input",
 CellChangeTimes->{{3.5481515845880995`*^9, 3.5481516288896337`*^9}, {
  3.548160278471361*^9, 3.5481603054879065`*^9}, {3.5481604233516483`*^9, 
  3.5481604238146744`*^9}, {3.5527350949940014`*^9, 3.552735129377261*^9}, {
  3.5527965027624245`*^9, 3.5527965477910004`*^9}, {3.552806220386241*^9, 
  3.552806241037422*^9}, {3.5539334438577237`*^9, 3.553933469246176*^9}, {
  3.554001607177745*^9, 3.554001645353928*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.554001633239235*^9, 3.5540016466970053`*^9}, 
   3.554002925581153*^9, 3.555222949529649*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"hinv\[Alpha]", "[", 
    RowBox[{"z_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"Refine", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"hinv", "[", "z", "]"}], "/.", "hrules"}], ",", "assump"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.55393499055719*^9, 3.553935040183028*^9}, {
  3.5539353495557237`*^9, 3.553935350127756*^9}, {3.5539354708246593`*^9, 
  3.5539354856025047`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"R3hpar", "[", 
    RowBox[{"w_", ",", "conjw_"}], "]"}], "=", 
   RowBox[{"w", "-", 
    RowBox[{"hinv4hpar", "[", 
     RowBox[{"w", ",", "conjw"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CoeffR3", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Refine", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{"R3hpar", "[", 
          RowBox[{"w", ",", "conjw"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"w", ",", "conjw"}], "}"}]}], "]"}], "/.", "solhinv4"}], "/.",
       "hrules"}], ",", "assump"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"CoeffR3", "[", "\[Alpha]", "]"}], "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"i", "+", "1"}], ",", 
         RowBox[{"j", "+", "1"}]}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "0", ",", 
        RowBox[{"4", "-", "i"}]}], "}"}]}], "]"}], ",", "assump"}], "]"}], 
  RowBox[{"(*", "check", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.53934710228125*^9, 3.5393471126875*^9}, {
   3.53934715703125*^9, 3.539347158765625*^9}, {3.53934722934375*^9, 
   3.539347276453125*^9}, {3.539347317203125*^9, 3.539347326984375*^9}, {
   3.539348515546875*^9, 3.539348515875*^9}, 3.5393485569375*^9, {
   3.53934905209375*^9, 3.539349058859375*^9}, {3.53935023546875*^9, 
   3.539350236140625*^9}, {3.539351372953125*^9, 3.5393513745625*^9}, {
   3.5395757398125*^9, 3.5395757413125*^9}, {3.548151707107107*^9, 
   3.548151707767145*^9}, {3.5481517418520947`*^9, 3.548151753253747*^9}, {
   3.5481521668584037`*^9, 3.5481521687255106`*^9}, {3.5481522140701036`*^9, 
   3.548152219747429*^9}, {3.548152291559536*^9, 3.54815229862494*^9}, {
   3.5481533874842196`*^9, 3.5481533905683956`*^9}, {3.548153434159889*^9, 
   3.548153451957907*^9}, {3.54815353330656*^9, 3.548153595130096*^9}, {
   3.5481536252568192`*^9, 3.5481536472550774`*^9}, {3.548154829146678*^9, 
   3.548154847859748*^9}, {3.5481549215599637`*^9, 3.548154922323007*^9}, {
   3.5481550230207667`*^9, 3.5481550236618032`*^9}, {3.5527313381643395`*^9, 
   3.5527313382143393`*^9}, {3.5527356599650583`*^9, 3.552735665345066*^9}, {
   3.5527357264151516`*^9, 3.552735752625188*^9}, {3.553402004480014*^9, 
   3.553402015668654*^9}, {3.553933561849472*^9, 3.553933608547144*^9}, {
   3.5539336634982862`*^9, 3.5539337279949756`*^9}, {3.553933783008122*^9, 
   3.5539337855882697`*^9}, {3.5539346923331327`*^9, 
   3.5539347131283216`*^9}, {3.553935121181661*^9, 3.553935125778924*^9}, {
   3.5539351669552794`*^9, 3.553935200333188*^9}, {3.5540029937620525`*^9, 
   3.5540029952841396`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", "0", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.553934770738617*^9, 3.5539352808627944`*^9, 
  3.554002947508407*^9, 3.554003079316946*^9, 3.5552229796892986`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Abshinv\[Alpha]20", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "\[LeftDoubleBracket]", 
       RowBox[{"3", ",", "1"}], "\[RightDoubleBracket]"}], "]"}], ",", 
     "assump"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Abshinv\[Alpha]11", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "\[LeftDoubleBracket]", 
       RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}], "]"}], ",", 
     "assump"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Abshinv\[Alpha]02", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "\[LeftDoubleBracket]", 
       RowBox[{"1", ",", "3"}], "\[RightDoubleBracket]"}], "]"}], ",", 
     "assump"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"hinv\[Alpha]2nd", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{
    RowBox[{"Abshinv\[Alpha]20", "[", "\[Alpha]", "]"}], "+", 
    RowBox[{"Abshinv\[Alpha]11", "[", "\[Alpha]", "]"}], "+", 
    RowBox[{"Abshinv\[Alpha]02", "[", "\[Alpha]", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"hinv\[Alpha]2nd", "[", 
      RowBox[{"Interval", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "-", 
          RowBox[{"i", "/", "10000"}]}], ",", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}], 
      "]"}], "<", 
     RowBox[{"76", "/", "100"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.53957849309375*^9, 3.539578556765625*^9}, {
   3.539578588625*^9, 3.539578853984375*^9}, {3.53957894396875*^9, 
   3.539578944546875*^9}, {3.539713230012542*^9, 3.5397132407141533`*^9}, {
   3.5397134129410048`*^9, 3.539713415278138*^9}, {3.54055241665625*^9, 
   3.540552428375*^9}, {3.5481539138553257`*^9, 3.548153985763439*^9}, {
   3.5481551441766963`*^9, 3.548155186628124*^9}, {3.5527313382143393`*^9, 
   3.55273133828434*^9}, {3.5527328180941534`*^9, 3.5527328356021547`*^9}, {
   3.5527360790256453`*^9, 3.5527360827856503`*^9}, {3.5527966672748346`*^9, 
   3.5527966684329004`*^9}, {3.552806428619151*^9, 3.5528064287671595`*^9}, 
   3.552901703749222*^9}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{3.5528064330864067`*^9, 3.5528126900061407`*^9, 
  3.5529017047312784`*^9, 3.5533293695091944`*^9, 3.5533422850799227`*^9, 
  3.55340207959131*^9, 3.5534236925611506`*^9, 3.553538556168496*^9, 
  3.5539353245012903`*^9, 3.5539355143111467`*^9, 3.5540031121728253`*^9, 
  3.5552229799392986`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"NMaxValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"hinv\[Alpha]2nd", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], 
    ",", "\[Alpha]"}], "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.5527966788174944`*^9, 3.552796702546852*^9}, {
  3.5552226861939917`*^9, 3.555222689672798*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"4", ",", "1"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"4", ",", "1"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Abshinv\[Alpha]30", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5395460023163147`*^9, 3.539546024031556*^9}, 
   3.53957578421875*^9, {3.539576318421875*^9, 3.539576357328125*^9}, {
   3.539939884671875*^9, 3.5399398946875*^9}, {3.5481539143273535`*^9, 
   3.5481539313503265`*^9}, {3.5481550527794685`*^9, 
   3.5481550551176023`*^9}, {3.55273133830434*^9, 3.55273133831434*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "2"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "2"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Abshinv\[Alpha]21", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5395453593295374`*^9, 3.539545394175531*^9}, {
   3.539545479775427*^9, 3.539545573905811*^9}, {3.5395456197044306`*^9, 
   3.539545690052454*^9}, {3.539545720945221*^9, 3.5395458196368656`*^9}, 
   3.53954599384383*^9, {3.539576234015625*^9, 3.539576250265625*^9}, 
   3.539576979734375*^9, {3.53957765890625*^9, 3.53957771146875*^9}, {
   3.548153914167344*^9, 3.5481539313283253`*^9}, {3.5481550575877438`*^9, 
   3.5481550605809155`*^9}, {3.5481551085676594`*^9, 
   3.5481551239005365`*^9}, {3.55273133828434*^9, 3.55273133830434*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "3"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "3"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Abshinv\[Alpha]12", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5395460023163147`*^9, 3.539546024031556*^9}, 
   3.53957578421875*^9, {3.539576318421875*^9, 3.539576357328125*^9}, {
   3.539939884671875*^9, 3.5399398946875*^9}, {3.5481539143273535`*^9, 
   3.5481539313503265`*^9}, {3.5481550527794685`*^9, 
   3.5481550551176023`*^9}, {3.55273133830434*^9, 3.55273133831434*^9}, {
   3.5527365114772506`*^9, 3.552736536047285*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "4"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "4"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Abshinv\[Alpha]03", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.539576409421875*^9, 3.539576416234375*^9}, {
  3.5395764898125*^9, 3.539576505609375*^9}, {3.539889319672202*^9, 
  3.539889361960621*^9}, {3.5481539144183583`*^9, 3.5481539313953295`*^9}, {
  3.54815506329107*^9, 3.548155067439307*^9}, {3.55273133833434*^9, 
  3.5527313383443403`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"hinv\[Alpha]3rd", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{
    RowBox[{"Abshinv\[Alpha]30", "[", "\[Alpha]", "]"}], "+", 
    RowBox[{"Abshinv\[Alpha]21", "[", "\[Alpha]", "]"}], "+", 
    RowBox[{"Abshinv\[Alpha]12", "[", "\[Alpha]", "]"}], "+", 
    RowBox[{"Abshinv\[Alpha]03", "[", "\[Alpha]", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"hinv\[Alpha]3rd", "[", 
      RowBox[{"Interval", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "-", 
          RowBox[{"i", "/", "10000"}]}], ",", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}], 
      "]"}], "<", 
     RowBox[{"106", "/", "100"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.53957700009375*^9, 3.539577092640625*^9}, 
   3.539577509171875*^9, {3.539577597921875*^9, 3.539577648140625*^9}, {
   3.539578067265625*^9, 3.539578119796875*^9}, {3.5398888830442286`*^9, 
   3.5398889036134048`*^9}, 3.5398889451237793`*^9, 3.5398893739213047`*^9, {
   3.540552438640625*^9, 3.54055244965625*^9}, 3.5405538858125*^9, {
   3.548153914468361*^9, 3.5481539238899*^9}, {3.5481543698194056`*^9, 
   3.548154455811324*^9}, {3.548155075781784*^9, 3.5481550922867284`*^9}, {
   3.5527313383443403`*^9, 3.55273133837434*^9}, {3.552732818102154*^9, 
   3.5527328356151557`*^9}, {3.552736634547423*^9, 3.552736634987424*^9}, {
   3.5527967869166775`*^9, 3.5527967874977107`*^9}, {3.5528066395942183`*^9, 
   3.5528066398242316`*^9}, {3.552806748421443*^9, 3.55280675745496*^9}, {
   3.5528136411797013`*^9, 3.552813641739702*^9}, 3.5529017273195705`*^9}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{{3.548154394999846*^9, 3.548154413269891*^9}, {
   3.548154445357726*^9, 3.5481544570383945`*^9}, 3.5481552859528055`*^9, 
   3.5481684456264963`*^9, 3.5484160344034863`*^9, 3.5493516484496536`*^9, 
   3.5493604761653914`*^9, 3.5493614046748915`*^9, 3.551603295246952*^9, {
   3.5527366242274084`*^9, 3.552736637197427*^9}, 3.552806664170624*^9, {
   3.55280675203765*^9, 3.552806757913986*^9}, 3.552812697536151*^9, 
   3.552813696349779*^9, 3.5529017280406113`*^9, 3.553329378283696*^9, 
   3.553342308879284*^9, 3.5534021400887704`*^9, 3.553423700241161*^9, 
   3.553538574508522*^9, 3.553935637088169*^9, 3.5540031685230484`*^9, 
   3.5552229863265085`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"NMaxValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"hinv\[Alpha]3rd", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], 
    ",", "\[Alpha]"}], "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.5527967992713842`*^9, 3.552796802112547*^9}, {
  3.5552226949612074`*^9, 3.5552227012168183`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "5"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "5"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Abshinv\[Alpha]04", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.539680906734375*^9, 3.539680999984375*^9}, {
   3.539681079015625*^9, 3.53968109284375*^9}, {3.539681196125*^9, 
   3.53968123303125*^9}, {3.539681319421875*^9, 3.53968135228125*^9}, {
   3.539681391015625*^9, 3.539681471125*^9}, {3.53968348296875*^9, 
   3.539683523453125*^9}, 3.539683812875*^9, {3.53993223396875*^9, 
   3.5399322478125*^9}, {3.539932614078125*^9, 3.539932619515625*^9}, {
   3.548154522226123*^9, 3.5481545222721252`*^9}, {3.5481545766482353`*^9, 
   3.5481545766612363`*^9}, {3.548154644022089*^9, 3.5481546710326343`*^9}, {
   3.5481547625118666`*^9, 3.5481547729514637`*^9}, {3.5481548563812356`*^9, 
   3.5481548571992826`*^9}, {3.548154900395753*^9, 3.548154904519989*^9}, {
   3.5481549585830812`*^9, 3.548154976835125*^9}, {3.548155349957466*^9, 
   3.548155352838631*^9}, {3.5484168404875917`*^9, 3.548416844457819*^9}, {
   3.5527313383843403`*^9, 3.5527313383843403`*^9}, {3.5539357146706066`*^9, 
   3.553935764083433*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "4"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "4"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Abshinv\[Alpha]13", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.539683817515625*^9, 3.539683828953125*^9}, {
   3.539683863796875*^9, 3.539683864234375*^9}, 3.53968421425*^9, {
   3.539932860671875*^9, 3.539932885609375*^9}, {3.5481545222911263`*^9, 
   3.548154522332129*^9}, {3.548154576685238*^9, 3.5481545766972384`*^9}, {
   3.548154671052635*^9, 3.548154671075637*^9}, {3.5481547774787226`*^9, 
   3.5481547779817514`*^9}, {3.5481548623435764`*^9, 3.5481548628356047`*^9}, 
   3.548154896642538*^9, {3.548154969947731*^9, 3.548154985347612*^9}, {
   3.5481553614711246`*^9, 3.548155364691309*^9}, {3.5484168474699917`*^9, 
   3.5484168479990215`*^9}, {3.55273133839434*^9, 3.55273133839434*^9}, {
   3.55393586333611*^9, 3.5539358730156636`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "3"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "3"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Abshinv\[Alpha]22", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.539684189015625*^9, 3.5396842041875*^9}, 
   3.53968466884375*^9, {3.53993330725*^9, 3.53993332615625*^9}, {
   3.5481545223561306`*^9, 3.548154522397133*^9}, {3.54815457672224*^9, 
   3.5481545767322407`*^9}, {3.548154671095638*^9, 3.5481546711066384`*^9}, {
   3.548154782117988*^9, 3.5481547825690136`*^9}, {3.5481548659987855`*^9, 
   3.5481548930283318`*^9}, {3.548154985366613*^9, 3.5481549854146156`*^9}, {
   3.54815538393841*^9, 3.5481553865655603`*^9}, {3.548416852256265*^9, 
   3.548416853024309*^9}, {3.55273133840434*^9, 3.55273133840434*^9}, {
   3.5539358865014353`*^9, 3.553935900492235*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"4", ",", "2"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"4", ",", "2"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Abshinv\[Alpha]31", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.53968467725*^9, 3.53968469459375*^9}, {
  3.539937016859375*^9, 3.539937019265625*^9}, {3.5481545224151335`*^9, 
  3.5481545224561357`*^9}, {3.5481545767502413`*^9, 3.5481545767692423`*^9}, {
  3.5481546711296396`*^9, 3.5481546711406403`*^9}, {3.5481547868662596`*^9, 
  3.5481547871372747`*^9}, {3.5481548714600983`*^9, 3.548154889222114*^9}, {
  3.5481549854426174`*^9, 3.54815498548862*^9}, {3.5481553904617834`*^9, 
  3.5481553928509197`*^9}, {3.548416857155545*^9, 3.548416857570569*^9}, {
  3.55273133841434*^9, 3.5527313384243402`*^9}, {3.553935904217448*^9, 
  3.5539359382183933`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"5", ",", "1"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"hinv\[Alpha]", "[", 
           RowBox[{"z", ",", "\[Alpha]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"Conjugate", "[", "z", "]"}], "\[Rule]", "conjz"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "conjz"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"5", ",", "1"}], "]"}], "]"}], "]"}], "]"}], ",", "assump"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Abshinv\[Alpha]40", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.539684975*^9, 3.539684992265625*^9}, 
   3.539685362140625*^9, {3.539937025546875*^9, 3.53993702753125*^9}, {
   3.5481545224741373`*^9, 3.5481545225201397`*^9}, {3.548154576787244*^9, 
   3.548154576802244*^9}, {3.5481546711596413`*^9, 3.5481546711816425`*^9}, {
   3.5481547899494357`*^9, 3.54815479019945*^9}, {3.548154875356321*^9, 
   3.5481548845228453`*^9}, {3.5481549855066214`*^9, 
   3.5481549855496235`*^9}, {3.548155395844091*^9, 3.5481553980242157`*^9}, {
   3.5484168619188175`*^9, 3.5484168620948277`*^9}, {3.5527313384243402`*^9, 
   3.55273133843434*^9}, {3.5539359559614077`*^9, 3.553935972667363*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"R3\[Alpha]4th", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abshinv\[Alpha]40", "[", "\[Alpha]", "]"}], "+", 
      RowBox[{"Abshinv\[Alpha]31", "[", "\[Alpha]", "]"}], "+", 
      RowBox[{"Abshinv\[Alpha]22", "[", "\[Alpha]", "]"}], "+", 
      RowBox[{"Abshinv\[Alpha]13", "[", "\[Alpha]", "]"}], "+", 
      RowBox[{"Abshinv\[Alpha]04", "[", "\[Alpha]", "]"}]}], ",", "assump"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"R3\[Alpha]4th", "[", 
      RowBox[{"Interval", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "-", 
          RowBox[{"i", "/", "10000"}]}], ",", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}], 
      "]"}], "<", 
     RowBox[{"139", "/", "100"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.539685025859375*^9, 3.5396851025625*^9}, {
   3.53968537053125*^9, 3.5396853751875*^9}, 3.53968543459375*^9, {
   3.5396854866875*^9, 3.539685495953125*^9}, {3.53968581378125*^9, 
   3.539685824046875*^9}, {3.539888024213106*^9, 3.5398880357577667`*^9}, {
   3.539888252233148*^9, 3.5398882587145185`*^9}, {3.54055391278125*^9, 
   3.540553925515625*^9}, 3.540554479828125*^9, {3.5405546210625*^9, 
   3.540554626*^9}, {3.54055661215625*^9, 3.5405566125625*^9}, 
   3.540556696828125*^9, {3.548154522542141*^9, 3.548154522613145*^9}, {
   3.548154671201644*^9, 3.5481546712856483`*^9}, {3.5481549855686245`*^9, 
   3.548154985614627*^9}, {3.548155450829236*^9, 3.5481554977989225`*^9}, {
   3.5481556294124503`*^9, 3.5481556387889867`*^9}, 3.5481561049996524`*^9, {
   3.5481563786283035`*^9, 3.5481564001035314`*^9}, {3.55273133843434*^9, 
   3.55273133846434*^9}, {3.5527328181091547`*^9, 3.5527328356261563`*^9}, {
   3.5527371258281107`*^9, 3.552737128908115*^9}, {3.5527968604448833`*^9, 
   3.552796860950912*^9}, {3.5528072507841763`*^9, 3.5528072509251842`*^9}, 
   3.552901828389351*^9, {3.5539359881412487`*^9, 3.5539360036731367`*^9}}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{
  3.548156274848367*^9, {3.5481563918850613`*^9, 3.548156402023641*^9}, 
   3.5481691746841955`*^9, 3.548416270023963*^9, 3.5493518489567814`*^9, 
   3.5493606750492697`*^9, 3.5493616033775706`*^9, 3.55160349645249*^9, 
   3.5527370470680003`*^9, 3.5527371296981163`*^9, 3.5528073162539215`*^9, 
   3.5528127786662645`*^9, 3.552902012304208*^9, 3.553329463858591*^9, 
   3.5533426954593954`*^9, 3.5534028107801313`*^9, 3.553423783471277*^9, 
   3.5535388057238455`*^9, 3.5539361945140524`*^9, 3.5540038471238623`*^9, 
   3.5552230896386776`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"NMaxValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"R3\[Alpha]4th", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], 
    ",", "\[Alpha]"}], "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.55279738367381*^9, 3.5527974053810515`*^9}, {
  3.5552227053352256`*^9, 3.555222709859234*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Absh20", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"h20", "[", "\[Alpha]", "]"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Absh20", "[", 
      RowBox[{"Interval", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "-", 
          RowBox[{"i", "/", "10000"}]}], ",", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}], 
      "]"}], "<", 
     RowBox[{"101", "/", "100"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Absh11", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"h11", "[", "\[Alpha]", "]"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Absh11", "[", 
      RowBox[{"Interval", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "-", 
          RowBox[{"i", "/", "10000"}]}], ",", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}], 
      "]"}], "<", 
     RowBox[{"1", "/", "1000"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Absh02", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"h02", "[", "\[Alpha]", "]"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Absh02", "[", 
      RowBox[{"Interval", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "-", 
          RowBox[{"i", "/", "10000"}]}], ",", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}], 
      "]"}], "<", 
     RowBox[{"51", "/", "100"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Absh30", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"h30", "[", "\[Alpha]", "]"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Union", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Absh30", "[", 
       RowBox[{"Interval", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "-", 
           RowBox[{"i", "/", "10000"}]}], ",", 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}],
        "]"}], "<", 
      RowBox[{"89", "/", "100"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"Refine", "[", 
      RowBox[{
       RowBox[{"ComplexExpand", "[", 
        RowBox[{"h12", "[", "\[Alpha]", "]"}], "]"}], ",", "assump"}], "]"}], 
     "]"}], ",", "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"Refine", "[", 
      RowBox[{
       RowBox[{"ComplexExpand", "[", 
        RowBox[{"h12", "[", "\[Alpha]", "]"}], "]"}], ",", "assump"}], "]"}], 
     "]"}], ",", "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Absh12", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Refine", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Union", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Absh12", "[", 
       RowBox[{"Interval", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "-", 
           RowBox[{"i", "/", "10000"}]}], ",", 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}],
        "]"}], "<", 
      RowBox[{"45", "/", "100"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Absh03", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"h03", "[", "\[Alpha]", "]"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Union", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Absh03", "[", 
       RowBox[{"Interval", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "-", 
           RowBox[{"i", "/", "10000"}]}], ",", 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], "]"}],
        "]"}], "<", 
      RowBox[{"89", "/", "100"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5481566267944975`*^9, 3.5481566713680468`*^9}, {
  3.5481567423511066`*^9, 3.548156818886484*^9}, {3.5481568680592966`*^9, 
  3.5481568958818884`*^9}, {3.548156962987726*^9, 3.5481569991637955`*^9}, {
  3.55273133847434*^9, 3.55273133852434*^9}, {3.552732818117155*^9, 
  3.552732835659158*^9}, {3.552737188134199*^9, 3.5527372077842264`*^9}, {
  3.5527969008251925`*^9, 3.5527969227254453`*^9}, {3.5529020218257523`*^9, 
  3.552902041646886*^9}}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{
  3.5481567893567953`*^9, {3.5481568746736755`*^9, 3.548156897015953*^9}, 
   3.5481570014189243`*^9, 3.5481691752062254`*^9, 3.548416270291979*^9, 
   3.549351848987982*^9, 3.54936067510927*^9, 3.5493616034375706`*^9, 
   3.5516034964992895`*^9, 3.5527371487241435`*^9, 3.552737215574237*^9, 
   3.552807377460422*^9, 3.552812778986265*^9, 3.5529020440480237`*^9, 
   3.553329464178609*^9, 3.553342718127692*^9, 3.553402862716102*^9, 
   3.5534237837812777`*^9, 3.5535388060688457`*^9, 3.553936403909029*^9, 
   3.554003854219268*^9, 3.5552230897166777`*^9}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{
  3.5481567893567953`*^9, {3.5481568746736755`*^9, 3.548156897015953*^9}, 
   3.5481570014189243`*^9, 3.5481691752062254`*^9, 3.548416270291979*^9, 
   3.549351848987982*^9, 3.54936067510927*^9, 3.5493616034375706`*^9, 
   3.5516034964992895`*^9, 3.5527371487241435`*^9, 3.552737215574237*^9, 
   3.552807377460422*^9, 3.552812778986265*^9, 3.5529020440480237`*^9, 
   3.553329464178609*^9, 3.553342718127692*^9, 3.553402862716102*^9, 
   3.5534237837812777`*^9, 3.5535388060688457`*^9, 3.553936403909029*^9, 
   3.554003854219268*^9, 3.555223089732278*^9}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{
  3.5481567893567953`*^9, {3.5481568746736755`*^9, 3.548156897015953*^9}, 
   3.5481570014189243`*^9, 3.5481691752062254`*^9, 3.548416270291979*^9, 
   3.549351848987982*^9, 3.54936067510927*^9, 3.5493616034375706`*^9, 
   3.5516034964992895`*^9, 3.5527371487241435`*^9, 3.552737215574237*^9, 
   3.552807377460422*^9, 3.552812778986265*^9, 3.5529020440480237`*^9, 
   3.553329464178609*^9, 3.553342718127692*^9, 3.553402862716102*^9, 
   3.5534237837812777`*^9, 3.5535388060688457`*^9, 3.553936403909029*^9, 
   3.554003854219268*^9, 3.555223089747878*^9}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{
  3.5481567893567953`*^9, {3.5481568746736755`*^9, 3.548156897015953*^9}, 
   3.5481570014189243`*^9, 3.5481691752062254`*^9, 3.548416270291979*^9, 
   3.549351848987982*^9, 3.54936067510927*^9, 3.5493616034375706`*^9, 
   3.5516034964992895`*^9, 3.5527371487241435`*^9, 3.552737215574237*^9, 
   3.552807377460422*^9, 3.552812778986265*^9, 3.5529020440480237`*^9, 
   3.553329464178609*^9, 3.553342718127692*^9, 3.553402862716102*^9, 
   3.5534237837812777`*^9, 3.5535388060688457`*^9, 3.553936403909029*^9, 
   3.554003854219268*^9, 3.555223090465479*^9}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{
  3.5481567893567953`*^9, {3.5481568746736755`*^9, 3.548156897015953*^9}, 
   3.5481570014189243`*^9, 3.5481691752062254`*^9, 3.548416270291979*^9, 
   3.549351848987982*^9, 3.54936067510927*^9, 3.5493616034375706`*^9, 
   3.5516034964992895`*^9, 3.5527371487241435`*^9, 3.552737215574237*^9, 
   3.552807377460422*^9, 3.552812778986265*^9, 3.5529020440480237`*^9, 
   3.553329464178609*^9, 3.553342718127692*^9, 3.553402862716102*^9, 
   3.5534237837812777`*^9, 3.5535388060688457`*^9, 3.553936403909029*^9, 
   3.554003854219268*^9, 3.5552230909222794`*^9}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{
  3.5481567893567953`*^9, {3.5481568746736755`*^9, 3.548156897015953*^9}, 
   3.5481570014189243`*^9, 3.5481691752062254`*^9, 3.548416270291979*^9, 
   3.549351848987982*^9, 3.54936067510927*^9, 3.5493616034375706`*^9, 
   3.5516034964992895`*^9, 3.5527371487241435`*^9, 3.552737215574237*^9, 
   3.552807377460422*^9, 3.552812778986265*^9, 3.5529020440480237`*^9, 
   3.553329464178609*^9, 3.553342718127692*^9, 3.553402862716102*^9, 
   3.5534237837812777`*^9, 3.5535388060688457`*^9, 3.553936403909029*^9, 
   3.554003854219268*^9, 3.55522309131228*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NMaxValue", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Absh20", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], ",", 
       "\[Alpha]"}], "]"}], ",", 
     RowBox[{"NMaxValue", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Absh11", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], ",", 
       "\[Alpha]"}], "]"}], ",", 
     RowBox[{"NMaxValue", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Absh02", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], ",", 
       "\[Alpha]"}], "]"}], ",", 
     RowBox[{"NMaxValue", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Absh30", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], ",", 
       "\[Alpha]"}], "]"}], ",", 
     RowBox[{"NMaxValue", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Absh12", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], ",", 
       "\[Alpha]"}], "]"}], ",", 
     RowBox[{"NMaxValue", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Absh03", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], ",", 
       "\[Alpha]"}], "]"}]}], "}"}], "*)"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.5527969301848717`*^9, 3.552796937056265*^9}, {
  3.552797056635104*^9, 3.5527972228856134`*^9}, {3.5552227156624436`*^9, 
  3.555222718564049*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"hinvmax", "[", "z_", "]"}], "=", 
   RowBox[{"z", "+", 
    FractionBox[
     RowBox[{"H20", " ", 
      SuperscriptBox["z", "2"]}], "2"], "+", 
    RowBox[{
     FractionBox["1", "6"], " ", 
     SuperscriptBox["z", "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        SuperscriptBox["H20", "2"]}], "+", "H30", "+", 
       RowBox[{"3", " ", "H11", " ", 
        RowBox[{"Conjugate", "[", "H02", "]"}]}]}], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "24"], " ", 
     SuperscriptBox["z", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"+", "15"}], " ", 
        SuperscriptBox["H20", "3"]}], "+", 
       RowBox[{"10", " ", "H20", " ", "H30"}], "+", 
       RowBox[{"30", " ", "H11", " ", "H20", " ", 
        RowBox[{"Conjugate", "[", "H02", "]"}]}], "+", 
       RowBox[{"3", " ", "H02", " ", 
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "H02", "]"}], "2"]}], "+", 
       RowBox[{"4", " ", "H11", " ", 
        RowBox[{"Conjugate", "[", "H03", "]"}]}], "+", 
       RowBox[{"12", " ", "H11", " ", 
        RowBox[{"Conjugate", "[", "H02", "]"}], " ", 
        RowBox[{"Conjugate", "[", "H11", "]"}]}]}], ")"}]}], "+", 
    RowBox[{"H11", " ", "z", " ", 
     RowBox[{"Conjugate", "[", "z", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SuperscriptBox["z", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "H11", " ", "H20"}], "+", 
       RowBox[{"H02", " ", 
        RowBox[{"Conjugate", "[", "H02", "]"}]}], "+", 
       RowBox[{"2", " ", "H11", " ", 
        RowBox[{"Conjugate", "[", "H11", "]"}]}]}], ")"}], " ", 
     RowBox[{"Conjugate", "[", "z", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "6"], " ", 
     SuperscriptBox["z", "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"+", "15"}], " ", "H11", " ", 
        SuperscriptBox["H20", "2"]}], "+", 
       RowBox[{"4", " ", "H11", " ", "H30"}], "+", 
       RowBox[{"12", " ", 
        SuperscriptBox["H11", "2"], " ", 
        RowBox[{"Conjugate", "[", "H02", "]"}]}], "+", 
       RowBox[{"3", " ", "H12", " ", 
        RowBox[{"Conjugate", "[", "H02", "]"}]}], "+", 
       RowBox[{"6", " ", "H02", " ", "H20", " ", 
        RowBox[{"Conjugate", "[", "H02", "]"}]}], "+", 
       RowBox[{"H02", " ", 
        RowBox[{"Conjugate", "[", "H03", "]"}]}], "+", 
       RowBox[{"12", " ", "H11", " ", "H20", " ", 
        RowBox[{"Conjugate", "[", "H11", "]"}]}], "+", 
       RowBox[{"6", " ", "H02", " ", 
        RowBox[{"Conjugate", "[", "H02", "]"}], " ", 
        RowBox[{"Conjugate", "[", "H11", "]"}]}], "+", 
       RowBox[{"6", " ", "H11", " ", 
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "H11", "]"}], "2"]}], "+", 
       RowBox[{"3", " ", "H11", " ", 
        RowBox[{"Conjugate", "[", "H12", "]"}]}], "+", 
       RowBox[{"3", " ", "H11", " ", 
        RowBox[{"Conjugate", "[", "H02", "]"}], " ", 
        RowBox[{"Conjugate", "[", "H20", "]"}]}]}], ")"}], " ", 
     RowBox[{"Conjugate", "[", "z", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "H02", " ", 
     SuperscriptBox[
      RowBox[{"Conjugate", "[", "z", "]"}], "2"]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "z", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        SuperscriptBox["H11", "2"]}], "+", "H12", "+", 
       RowBox[{"H02", " ", "H20"}], "+", 
       RowBox[{"2", " ", "H02", " ", 
        RowBox[{"Conjugate", "[", "H11", "]"}]}], "+", 
       RowBox[{"H11", " ", 
        RowBox[{"Conjugate", "[", "H20", "]"}]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"Conjugate", "[", "z", "]"}], "2"]}], "+", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     SuperscriptBox["z", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"+", "12"}], " ", 
        SuperscriptBox["H11", "2"], " ", "H20"}], "+", 
       RowBox[{"3", " ", "H12", " ", "H20"}], "+", 
       RowBox[{"3", " ", "H02", " ", 
        SuperscriptBox["H20", "2"]}], "+", 
       RowBox[{"H02", " ", "H30"}], "+", 
       RowBox[{"H03", " ", 
        RowBox[{"Conjugate", "[", "H02", "]"}]}], "+", 
       RowBox[{"9", " ", "H02", " ", "H11", " ", 
        RowBox[{"Conjugate", "[", "H02", "]"}]}], "+", 
       RowBox[{"12", " ", 
        SuperscriptBox["H11", "2"], " ", 
        RowBox[{"Conjugate", "[", "H11", "]"}]}], "+", 
       RowBox[{"4", " ", "H12", " ", 
        RowBox[{"Conjugate", "[", "H11", "]"}]}], "+", 
       RowBox[{"6", " ", "H02", " ", "H20", " ", 
        RowBox[{"Conjugate", "[", "H11", "]"}]}], "+", 
       RowBox[{"6", " ", "H02", " ", 
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "H11", "]"}], "2"]}], "+", 
       RowBox[{"2", " ", "H02", " ", 
        RowBox[{"Conjugate", "[", "H12", "]"}]}], "+", 
       RowBox[{"3", " ", "H11", " ", "H20", " ", 
        RowBox[{"Conjugate", "[", "H20", "]"}]}], "+", 
       RowBox[{"3", " ", "H02", " ", 
        RowBox[{"Conjugate", "[", "H02", "]"}], " ", 
        RowBox[{"Conjugate", "[", "H20", "]"}]}], "+", 
       RowBox[{"6", " ", "H11", " ", 
        RowBox[{"Conjugate", "[", "H11", "]"}], " ", 
        RowBox[{"Conjugate", "[", "H20", "]"}]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"Conjugate", "[", "z", "]"}], "2"]}], "+", 
    RowBox[{
     FractionBox["1", "6"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"+", "H03"}], "+", 
       RowBox[{"3", " ", "H02", " ", "H11"}], "+", 
       RowBox[{"3", " ", "H02", " ", 
        RowBox[{"Conjugate", "[", "H20", "]"}]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"Conjugate", "[", "z", "]"}], "3"]}], "+", 
    RowBox[{
     FractionBox["1", "6"], " ", "z", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"+", "6"}], " ", 
        SuperscriptBox["H11", "3"]}], "+", 
       RowBox[{"6", " ", "H11", " ", "H12"}], "+", 
       RowBox[{"H03", " ", "H20"}], "+", 
       RowBox[{"9", " ", "H02", " ", "H11", " ", "H20"}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["H02", "2"], " ", 
        RowBox[{"Conjugate", "[", "H02", "]"}]}], "+", 
       RowBox[{"3", " ", "H03", " ", 
        RowBox[{"Conjugate", "[", "H11", "]"}]}], "+", 
       RowBox[{"18", " ", "H02", " ", "H11", " ", 
        RowBox[{"Conjugate", "[", "H11", "]"}]}], "+", 
       RowBox[{"6", " ", 
        SuperscriptBox["H11", "2"], " ", 
        RowBox[{"Conjugate", "[", "H20", "]"}]}], "+", 
       RowBox[{"3", " ", "H12", " ", 
        RowBox[{"Conjugate", "[", "H20", "]"}]}], "+", 
       RowBox[{"3", " ", "H02", " ", "H20", " ", 
        RowBox[{"Conjugate", "[", "H20", "]"}]}], "+", 
       RowBox[{"12", " ", "H02", " ", 
        RowBox[{"Conjugate", "[", "H11", "]"}], " ", 
        RowBox[{"Conjugate", "[", "H20", "]"}]}], "+", 
       RowBox[{"3", " ", "H11", " ", 
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "H20", "]"}], "2"]}], "+", 
       RowBox[{"H11", " ", 
        RowBox[{"Conjugate", "[", "H30", "]"}]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"Conjugate", "[", "z", "]"}], "3"]}], "+", 
    RowBox[{
     FractionBox["1", "24"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", "H03", " ", "H11"}], "+", 
       RowBox[{"12", " ", "H02", " ", 
        SuperscriptBox["H11", "2"]}], "+", 
       RowBox[{"6", " ", "H02", " ", "H12"}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["H02", "2"], " ", "H20"}], "+", 
       RowBox[{"12", " ", 
        SuperscriptBox["H02", "2"], " ", 
        RowBox[{"Conjugate", "[", "H11", "]"}]}], "+", 
       RowBox[{"6", " ", "H03", " ", 
        RowBox[{"Conjugate", "[", "H20", "]"}]}], "+", 
       RowBox[{"18", " ", "H02", " ", "H11", " ", 
        RowBox[{"Conjugate", "[", "H20", "]"}]}], "+", 
       RowBox[{"15", " ", "H02", " ", 
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "H20", "]"}], "2"]}], "+", 
       RowBox[{"4", " ", "H02", " ", 
        RowBox[{"Conjugate", "[", "H30", "]"}]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"Conjugate", "[", "z", "]"}], "4"]}]}]}], ";"}]], "Input",
 CellChangeTimes->{3.553936949707247*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"R3Hat", "[", 
      RowBox[{"w_", ",", "conjw_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"FunctionExpand", "[", 
       RowBox[{"hinvmax", "[", 
        RowBox[{"h", "[", "w", "]"}], "]"}], "]"}], "/.", 
      RowBox[{
       RowBox[{"Conjugate", "[", "w", "]"}], "\[Rule]", " ", "conjw"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"R3Hat1var", "[", "x_", "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"R3Hat", "[", 
        RowBox[{"w", ",", "conjw"}], "]"}], "/.", 
       RowBox[{"conjw", "\[Rule]", " ", "x"}]}], " ", "/.", " ", 
      RowBox[{"w", "\[Rule]", " ", "x"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R3HatHigherTo4th", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"CoefficientList", "[", 
          RowBox[{
           RowBox[{"R3Hat1var", "[", "x", "]"}], ",", "x"}], "]"}], 
         "\[LeftDoubleBracket]", 
         RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "/", 
        RowBox[{"20", "^", 
         RowBox[{"(", 
          RowBox[{"i", "-", "4"}], ")"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5", ",", "12"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Total", "[", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"R3HatHigherTo4th", "/.", " ", 
            RowBox[{"H20", "\[Rule]", " ", 
             RowBox[{"101", "/", "100"}]}]}], " ", "/.", " ", 
           RowBox[{"H11", " ", "\[Rule]", "  ", 
            RowBox[{"1", "/", "1000"}]}]}], " ", "/.", " ", 
          RowBox[{"H02", "\[Rule]", " ", 
           RowBox[{"51", "/", "100"}]}]}], "/.", " ", 
         RowBox[{"H30", "\[Rule]", " ", 
          RowBox[{"89", "/", "100"}]}]}], " ", "/.", " ", 
        RowBox[{"H12", " ", "\[Rule]", " ", 
         RowBox[{"45", "/", "100"}]}]}], " ", "/.", " ", 
       RowBox[{"H03", " ", "\[Rule]", " ", 
        RowBox[{"89", "/", "100"}]}]}], "]"}], "]"}], "<", 
    RowBox[{"102", "/", "100"}]}]}]}]], "Input",
 CellChangeTimes->{{3.539351401578125*^9, 3.539351494921875*^9}, {
   3.53935154515625*^9, 3.539351547078125*^9}, {3.53935159153125*^9, 
   3.539351640421875*^9}, {3.539351694078125*^9, 3.539351731859375*^9}, {
   3.539351771734375*^9, 3.539351785328125*^9}, {3.539351849078125*^9, 
   3.539351868921875*^9}, {3.539351929921875*^9, 3.539351936046875*^9}, {
   3.539351969875*^9, 3.539352045921875*^9}, {3.53935209571875*^9, 
   3.539352095859375*^9}, {3.539352214390625*^9, 3.539352261453125*^9}, {
   3.53935229675*^9, 3.539352317203125*^9}, {3.5393523915625*^9, 
   3.539352453703125*^9}, {3.53935254946875*^9, 3.539352592796875*^9}, {
   3.539352627125*^9, 3.5393526405*^9}, {3.539352777453125*^9, 
   3.53935278034375*^9}, {3.539356857450243*^9, 3.5393569735248823`*^9}, 
   3.5393570324102497`*^9, {3.53935706737825*^9, 3.539357068318304*^9}, {
   3.5393579984295034`*^9, 3.539358084515427*^9}, {3.5393581470490036`*^9, 
   3.5393581496331515`*^9}, {3.5393581871342964`*^9, 3.5393582104076276`*^9}, 
   3.5393582441975603`*^9, {3.5393591780739746`*^9, 3.539359198149123*^9}, {
   3.5393594835144453`*^9, 3.5393594984703007`*^9}, {3.5393595292210593`*^9, 
   3.5393595293110647`*^9}, 3.539368991163252*^9, {3.539432659859375*^9, 
   3.539432672625*^9}, {3.539432771796875*^9, 3.539432772796875*^9}, {
   3.539432906125*^9, 3.53943297103125*^9}, 3.53943312259375*^9, {
   3.539517152875*^9, 3.539517174328125*^9}, {3.5395805321875*^9, 
   3.539580532453125*^9}, {3.53968526146875*^9, 3.539685276515625*^9}, {
   3.53968666159375*^9, 3.539686661671875*^9}, {3.539939264640625*^9, 
   3.53993926565625*^9}, {3.53994015615625*^9, 3.539940173421875*^9}, {
   3.548157159944992*^9, 3.548157259026659*^9}, {3.5481572910834923`*^9, 
   3.5481573178660245`*^9}, {3.548157358968375*^9, 3.5481573968225403`*^9}, {
   3.5481574839885263`*^9, 3.548157510003014*^9}, 3.548157599635141*^9, {
   3.5481579040125504`*^9, 3.5481579489321194`*^9}, {3.548157986546271*^9, 
   3.548157990066472*^9}, {3.548160695180196*^9, 3.548160740482787*^9}, {
   3.55273133852434*^9, 3.5527313385543404`*^9}, {3.552737232334261*^9, 
   3.552737276634323*^9}, {3.5527972659840784`*^9, 3.5527972664491053`*^9}, {
   3.552797313142776*^9, 3.5527973135087967`*^9}, {3.552797569241424*^9, 
   3.5527975735676713`*^9}, {3.5528074385219145`*^9, 3.552807447023401*^9}, {
   3.5528138195511513`*^9, 3.5528138259711604`*^9}, {3.553936437073926*^9, 
   3.5539364618423424`*^9}, {3.553936902928571*^9, 3.5539369038616247`*^9}, {
   3.5539369715184946`*^9, 3.5539370182781687`*^9}, {3.5539370770085278`*^9, 
   3.5539370885051856`*^9}, {3.553937126323349*^9, 3.553937126590364*^9}, {
   3.5539371753351517`*^9, 3.5539371754721603`*^9}, 3.5539372253370123`*^9, {
   3.553937509977292*^9, 3.553937510576327*^9}, {3.5539379641442695`*^9, 
   3.553937971600696*^9}, {3.553938989249902*^9, 3.553938990495973*^9}, {
   3.553939670909891*^9, 3.5539396709938955`*^9}, {3.554001503886837*^9, 
   3.5540015041158495`*^9}, {3.554013378177007*^9, 3.554013378211009*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.548157959946749*^9, 3.548157992112589*^9, 3.5481606693927207`*^9, {
   3.5481607109030952`*^9, 3.5481607422108855`*^9}, 3.548169185886836*^9, 
   3.548416273132141*^9, 3.5493518500487833`*^9, 3.549360676189272*^9, 
   3.549361604537572*^9, 3.5516034975912914`*^9, {3.552737257574296*^9, 
   3.552737277444324*^9}, 3.552797273437505*^9, 3.5527973149878817`*^9, {
   3.55279757022248*^9, 3.552797574985752*^9}, {3.5528074338336463`*^9, 
   3.5528074478554487`*^9}, 3.552812781896269*^9, {3.552813822891156*^9, 
   3.5528138267611613`*^9}, 3.552902061103999*^9, 3.5533294670817757`*^9, 
   3.553342728986313*^9, 3.55340288558041*^9, 3.553423786571282*^9, 
   3.553538811003853*^9, 3.553936978204877*^9, {3.5539370634607534`*^9, 
   3.5539370955325875`*^9}, 3.553937128597479*^9, 3.5539371774262714`*^9, 
   3.5539372273151255`*^9, 3.5539375138075113`*^9, 3.5539379735588083`*^9, 
   3.5539389922860756`*^9, 3.5539396727669973`*^9, 3.554001507814061*^9, 
   3.55400397402112*^9, 3.5540133808671613`*^9, 3.5540202127939253`*^9, 
   3.5540202717662983`*^9, 3.555223091912281*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"Total", "[", 
    RowBox[{"Simplify", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"R3HatHigherTo4th", "/.", " ", 
           RowBox[{"H20", "\[Rule]", " ", 
            RowBox[{"101", "/", "100"}]}]}], " ", "/.", " ", 
          RowBox[{"H11", " ", "\[Rule]", "  ", 
           RowBox[{"1", "/", "1000"}]}]}], " ", "/.", " ", 
         RowBox[{"H02", "\[Rule]", " ", 
          RowBox[{"51", "/", "100"}]}]}], "/.", " ", 
        RowBox[{"H30", "\[Rule]", " ", 
         RowBox[{"89", "/", "100"}]}]}], " ", "/.", " ", 
       RowBox[{"H12", " ", "\[Rule]", " ", 
        RowBox[{"45", "/", "100"}]}]}], " ", "/.", " ", 
      RowBox[{"H03", " ", "\[Rule]", " ", 
       RowBox[{"89", "/", "100"}]}]}], "]"}], "]"}], "//", "N"}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.5516056204565983`*^9, 3.551605625479807*^9}, 
   3.5527313385543404`*^9, {3.5527372607143*^9, 3.5527372727243176`*^9}, {
   3.553937105649166*^9, 3.5539371060541897`*^9}, {3.554005373123144*^9, 
   3.5540053771333733`*^9}, {3.5540133934818826`*^9, 
   3.5540133961730366`*^9}, {3.5552227274248643`*^9, 3.5552227299832687`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Estimation of R2 by calculating hinv(G(h))", "Subsubsection",
 CellChangeTimes->{{3.5540041487711153`*^9, 3.554004178936841*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"hmax", "[", "w_", "]"}], "=", 
   RowBox[{"w", "+", 
    RowBox[{
     RowBox[{"76", "/", "100"}], " ", 
     RowBox[{"w", "^", "2"}]}], "+", 
    RowBox[{
     RowBox[{"52", "/", "100"}], " ", 
     RowBox[{"w", "^", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Gmax", "[", "z_", "]"}], "=", 
   RowBox[{"z", "+", 
    RowBox[{
     RowBox[{"101", "/", "100"}], " ", 
     RowBox[{"z", "^", "2"}]}], " ", "+", " ", 
    RowBox[{
     RowBox[{"109", "/", "100"}], " ", 
     RowBox[{"z", "^", "3"}]}], "+", " ", 
    RowBox[{
     RowBox[{"76", "/", "100"}], " ", 
     RowBox[{"z", "^", "4"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"hinvmax", "[", "z_", "]"}], "=", 
   RowBox[{"z", "+", 
    RowBox[{
     RowBox[{"76", "/", "100"}], " ", 
     RowBox[{"z", "^", "2"}]}], "+", 
    RowBox[{
     RowBox[{"106", "/", "100"}], " ", 
     RowBox[{"z", "^", "3"}]}], "+", " ", 
    RowBox[{
     RowBox[{"263", "/", "100"}], " ", 
     RowBox[{"z", "^", "4"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Q", "[", "w_", "]"}], "=", 
   RowBox[{"Expand", "[", " ", 
    RowBox[{"hinvmax", "[", 
     RowBox[{"Gmax", "[", 
      RowBox[{"hmax", "[", "w", "]"}], "]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Total", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Coefficient", "[", 
       RowBox[{
        RowBox[{"Q", "[", "w", "]"}], ",", "w", ",", "i"}], "]"}], "/", 
      RowBox[{"20", "^", 
       RowBox[{"(", 
        RowBox[{"i", "-", "4"}], ")"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "5", ",", "48"}], "}"}]}], "]"}], "]"}], "<", 
  RowBox[{"358", "/", "100"}]}]}], "Input",
 CellChangeTimes->{{3.553939583909915*^9, 3.553939607628271*^9}, {
  3.55393965375991*^9, 3.553939653831914*^9}, {3.5539396943322306`*^9, 
  3.553939694601246*^9}, {3.5540016541594315`*^9, 3.554001654379444*^9}, {
  3.5540040150914693`*^9, 3.5540040225508957`*^9}, {3.5540040710916724`*^9, 
  3.554004089175707*^9}, {3.554005319614084*^9, 3.554005325292409*^9}, {
  3.554011718952105*^9, 3.554011810497341*^9}, {3.5540145997128754`*^9, 
  3.5540146003569117`*^9}, {3.554021281717064*^9, 3.554021382686839*^9}, {
  3.55402141487568*^9, 3.5540214540649214`*^9}, {3.5540225748060246`*^9, 
  3.5540225796533017`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.553939630239565*^9, 3.553939654846972*^9}, 
   3.5539396959253216`*^9, 3.5540016579816504`*^9, 3.55400402506504*^9, 
   3.5540040901787643`*^9, 3.554005326973505*^9, 3.5540054156645775`*^9, {
   3.5540117700440273`*^9, 3.554011811713411*^9}, 3.554014601100954*^9, 
   3.5540213574983983`*^9, 3.5540214611423264`*^9, 3.554022581254393*^9, 
   3.555223091952281*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"Total", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Coefficient", "[", 
        RowBox[{
         RowBox[{"Q", "[", "w", "]"}], ",", "w", ",", "i"}], "]"}], "/", 
       RowBox[{"20", "^", 
        RowBox[{"(", 
         RowBox[{"i", "-", "4"}], ")"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "5", ",", "48"}], "}"}]}], "]"}], "]"}], "//", "N"}],
   "*)"}]], "Input",
 CellChangeTimes->{{3.5540214735270348`*^9, 3.554021473926058*^9}, 
   3.554022585407631*^9, {3.555222768718137*^9, 3.5552227707773404`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"hinvGh", "[", 
    RowBox[{"w_", ",", "conjw_"}], "]"}], "=", 
   RowBox[{"FunctionExpand", "[", 
    RowBox[{"hinv", "[", 
     RowBox[{"G4h", "[", 
      RowBox[{"w", ",", "conjw"}], "]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coeffhinvGh", "=", 
   RowBox[{"CoefficientList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"hinvGh", "[", 
       RowBox[{"w", ",", 
        RowBox[{"Conjugate", "[", "w", "]"}]}], "]"}], "/.", 
      RowBox[{
       RowBox[{"Conjugate", "[", "w", "]"}], "\[Rule]", " ", "conjw"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "conjw"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.55386472451995*^9, 3.553864739111785*^9}, {
  3.5538892114691725`*^9, 3.553889213605294*^9}, {3.5539202578358717`*^9, 
  3.5539202876945796`*^9}, {3.5540042690079927`*^9, 3.554004275865385*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"hinvG4h40", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Refine", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"coeffhinvGh", "\[LeftDoubleBracket]", 
          RowBox[{"5", ",", "1"}], "\[RightDoubleBracket]"}], "/.", 
         "hrules"}], "/.", 
        RowBox[{
         RowBox[{"Conjugate", "[", 
          SqrtBox[
           RowBox[{"1", "-", 
            RowBox[{"4", " ", "\[Alpha]"}]}]], "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"4", "\[Alpha]"}], "-", "1"}], "]"}]}]}]}], ",", 
       "assump"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{"hinvG4h40", "[", "\[Alpha]", "]"}], "]"}], "]"}], ",", 
    "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{"hinvG4h40", "[", "\[Alpha]", "]"}], "]"}], "]"}], ",", 
    "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"abshinvG4h40", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5538886256856675`*^9, 3.5538886314379964`*^9}, {
  3.553888943427841*^9, 3.5538889446209097`*^9}, {3.5538900720673957`*^9, 
  3.5538900757126045`*^9}, {3.553890221381936*^9, 3.5538902215759473`*^9}, {
  3.5538903313942285`*^9, 3.553890331542237*^9}, {3.5539182036382556`*^9, 
  3.553918208614664*^9}, {3.553920377442713*^9, 3.5539203780317464`*^9}, {
  3.554004213314807*^9, 3.5540042201942005`*^9}, {3.5540044808151073`*^9, 
  3.554004482578208*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"hinvG4h31", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Refine", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"coeffhinvGh", "\[LeftDoubleBracket]", 
          RowBox[{"4", ",", "2"}], "\[RightDoubleBracket]"}], "/.", 
         "hrules"}], "/.", 
        RowBox[{
         RowBox[{"Conjugate", "[", 
          SqrtBox[
           RowBox[{"1", "-", 
            RowBox[{"4", " ", "\[Alpha]"}]}]], "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"4", "\[Alpha]"}], "-", "1"}], "]"}]}]}]}], ",", 
       "assump"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{"hinvG4h31", "[", "\[Alpha]", "]"}], "]"}], "]"}], ",", 
    "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{"hinvG4h31", "[", "\[Alpha]", "]"}], "]"}], "]"}], ",", 
    "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"abshinvG4h31", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5539204638436546`*^9, 3.553920495665475*^9}, {
  3.5540046197080517`*^9, 3.5540046218601747`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"hinvG4h22", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Refine", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"coeffhinvGh", "\[LeftDoubleBracket]", 
          RowBox[{"3", ",", "3"}], "\[RightDoubleBracket]"}], "/.", 
         "hrules"}], "/.", 
        RowBox[{
         RowBox[{"Conjugate", "[", 
          SqrtBox[
           RowBox[{"1", "-", 
            RowBox[{"4", " ", "\[Alpha]"}]}]], "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"4", "\[Alpha]"}], "-", "1"}], "]"}]}]}]}], ",", 
       "assump"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{"hinvG4h22", "[", "\[Alpha]", "]"}], "]"}], "]"}], ",", 
    "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{"hinvG4h22", "[", "\[Alpha]", "]"}], "]"}], "]"}], ",", 
    "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"abshinvG4h22", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.55392056499244*^9, 3.553920578890235*^9}, {
  3.554004775167943*^9, 3.5540047783351245`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"hinvG4h13", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Refine", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"coeffhinvGh", "\[LeftDoubleBracket]", 
          RowBox[{"2", ",", "4"}], "\[RightDoubleBracket]"}], "/.", 
         "hrules"}], "/.", 
        RowBox[{
         RowBox[{"Conjugate", "[", 
          SqrtBox[
           RowBox[{"1", "-", 
            RowBox[{"4", " ", "\[Alpha]"}]}]], "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"4", "\[Alpha]"}], "-", "1"}], "]"}]}]}]}], ",", 
       "assump"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{"hinvG4h13", "[", "\[Alpha]", "]"}], "]"}], "]"}], ",", 
    "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{"hinvG4h13", "[", "\[Alpha]", "]"}], "]"}], "]"}], ",", 
    "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"abshinvG4h13", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.553920596849262*^9, 3.5539206157033405`*^9}, {
  3.554004846474022*^9, 3.55400484853714*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"hinvG4h04", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Refine", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"coeffhinvGh", "\[LeftDoubleBracket]", 
          RowBox[{"1", ",", "5"}], "\[RightDoubleBracket]"}], "/.", 
         "hrules"}], "/.", 
        RowBox[{
         RowBox[{"Conjugate", "[", 
          SqrtBox[
           RowBox[{"1", "-", 
            RowBox[{"4", " ", "\[Alpha]"}]}]], "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"4", "\[Alpha]"}], "-", "1"}], "]"}]}]}]}], ",", 
       "assump"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{"hinvG4h04", "[", "\[Alpha]", "]"}], "]"}], "]"}], ",", 
    "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{"hinvG4h04", "[", "\[Alpha]", "]"}], "]"}], "]"}], ",", 
    "assump"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"abshinvG4h04", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"%", "^", "2"}], "+", 
       RowBox[{"%%", "^", "2"}]}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5539206373295774`*^9, 3.553920654016532*^9}, {
  3.554004920499256*^9, 3.5540049251705227`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"R24th", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"abshinvG4h40", "[", "\[Alpha]", "]"}], "+", 
      RowBox[{"abshinvG4h31", "[", "\[Alpha]", "]"}], "+", 
      RowBox[{"abshinvG4h22", "[", "\[Alpha]", "]"}], "+", 
      RowBox[{"abshinvG4h13", "[", "\[Alpha]", "]"}], "+", 
      RowBox[{"abshinvG4h04", "[", "\[Alpha]", "]"}]}], ",", "assump"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.553920666432242*^9, 3.553920754216263*^9}, {
  3.554004956453312*^9, 3.554004973178269*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Union", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"R24th", "[", 
        RowBox[{"Interval", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "-", 
            RowBox[{"i", "/", "10000"}]}], ",", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], 
         "]"}], "]"}], "<", 
       RowBox[{"102", "/", "100"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"NMaxValue", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"R24th", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], ",", 
      "\[Alpha]"}], "]"}], "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.5539208982375*^9, 3.553920900568634*^9}, {
  3.554005433177579*^9, 3.55400546692651*^9}, {3.5552227791857553`*^9, 
  3.5552227828829613`*^9}}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{3.55400497756852*^9, 3.554005468346591*^9, 
  3.555223118674726*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"c1", "[", "\[Alpha]_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"coeffhinvG4h", "\[LeftDoubleBracket]", 
           RowBox[{"3", ",", "2"}], "\[RightDoubleBracket]"}], "/.", 
          "sol20"}], " ", "/.", " ", "sol11"}], " ", "/.", " ", "sol02"}], "/.",
        "rules"}], "/.", 
      RowBox[{
       RowBox[{"Conjugate", "[", 
        SqrtBox[
         RowBox[{"1", "-", 
          RowBox[{"4", " ", "\[Alpha]"}]}]], "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"-", "\[ImaginaryI]"}], " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"4", "\[Alpha]"}], "-", "1"}], "]"}]}]}]}], ",", "assump"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "[", "\[Alpha]_", "]"}], "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Conjugate", "[", 
         RowBox[{"\[Mu]", "[", "\[Alpha]", "]"}], "]"}], "/", 
        RowBox[{"Abs", "[", 
         RowBox[{"\[Mu]", "[", "\[Alpha]", "]"}], "]"}]}], "*", 
       RowBox[{"c1", "[", "\[Alpha]", "]"}]}], "]"}], "]"}], ",", " ", 
    "assump"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.539085944796875*^9, 3.539086021140625*^9}, {
   3.539086054171875*^9, 3.53908609384375*^9}, {3.53908612453125*^9, 
   3.539086125171875*^9}, {3.539086195875*^9, 3.539086196796875*^9}, 
   3.539086634625*^9, {3.539086752859375*^9, 3.539086753*^9}, {
   3.53908795053125*^9, 3.539087957015625*^9}, 3.539087993921875*^9, {
   3.5390936133687644`*^9, 3.539093639449256*^9}, {3.5391830548088536`*^9, 
   3.5391830561459303`*^9}, 3.539183127912035*^9, {3.539183272000276*^9, 
   3.5391832845279927`*^9}, {3.5391853493590946`*^9, 
   3.5391853515072174`*^9}, {3.5391855931450377`*^9, 3.5391855938570786`*^9}, 
   3.53942697603125*^9, 3.548062448410209*^9, {3.5481863834764824`*^9, 
   3.5481863995053988`*^9}, {3.55273133856434*^9, 3.55273133857434*^9}, {
   3.5534029954036913`*^9, 3.5534030175559587`*^9}, {3.5534030516439085`*^9, 
   3.553403084576792*^9}, 3.5534032441119165`*^9, {3.5534041281064787`*^9, 
   3.5534041363369493`*^9}, 3.5539315207487283`*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{"4", "+", 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "10"}], "+", "\[Alpha]", "+", 
      SuperscriptBox["\[Alpha]", "2"]}], ")"}]}]}], 
  RowBox[{"4", " ", 
   SuperscriptBox["\[Alpha]", 
    RowBox[{"3", "/", "2"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"4", "+", "\[Alpha]"}], ")"}]}]}], ")"}]}]]], "Output",
 CellChangeTimes->{3.548158980904145*^9, 3.54816950781625*^9, 
  3.548416304807953*^9, 3.5493518804060326`*^9, 3.549360706639314*^9, 
  3.549361634717614*^9, 3.5516035279617434`*^9, 3.552737834096103*^9, 
  3.5528128078963056`*^9, 3.5529021155941153`*^9, 3.553329493791303*^9, 
  3.5533427987183013`*^9, 3.5534031483444395`*^9, 3.5534237941912923`*^9, 
  3.5535388613639235`*^9, 3.5540055271359534`*^9, 3.5552231261471395`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"maxa", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"MaxValue", "[", 
    RowBox[{
     RowBox[{"a", "[", "\[Alpha]", "]"}], ",", "dom", ",", "\[Alpha]"}], 
    "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.539183301649972*^9, 3.539183313970677*^9}, {
  3.5391860348923044`*^9, 3.539186035143319*^9}, {3.5391861569702873`*^9, 
  3.539186184186844*^9}, {3.55273133857434*^9, 3.55273133857434*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["1", "4"]}]], "Output",
 CellChangeTimes->{3.548158998217135*^9, 3.548169507985259*^9, 
  3.5484163049069586`*^9, 3.549351880686833*^9, 3.549360706699314*^9, 
  3.5493616347976146`*^9, 3.5516035281177435`*^9, 3.552737840486112*^9, 
  3.5528128079663057`*^9, 3.5529021962167273`*^9, 3.5533294939403114`*^9, 
  3.5533428030975523`*^9, 3.5534032402586966`*^9, 3.553423794331293*^9, 
  3.5535388617939243`*^9, 3.55400555505455*^9, 3.5552231263499393`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Estimation", " ", "on", " ", "R4"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Absc1", "[", "\[Alpha]_", "]"}], "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"c1", "[", "\[Alpha]", "]"}], "]"}], ",", "assump"}], "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"R44th", "[", "\[Alpha]_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Absc1", "[", "\[Alpha]", "]"}], "^", "2"}], "-", 
           RowBox[{
            RowBox[{"a", "[", "\[Alpha]", "]"}], "^", "2"}]}], ")"}], "/", 
         "37"}], "\[Alpha]"}], ",", "assump"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Union", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"R44th", "[", 
        RowBox[{"Interval", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "-", 
            RowBox[{"i", "/", "10000"}]}], ",", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"i", "+", "1"}], ")"}], "/", "10000"}]}]}], "}"}], 
         "]"}], "]"}], "<", 
       RowBox[{"10", "/", "100"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.553403552600561*^9, 3.55340356778843*^9}, {
   3.5534036610147624`*^9, 3.553403753530054*^9}, 3.553403925411885*^9, {
   3.5534040173321424`*^9, 3.5534041080033283`*^9}, {3.553404142229286*^9, 
   3.553404152682884*^9}, {3.55400553476939*^9, 3.5540055495002327`*^9}, 
   3.555222806657404*^9}],

Cell[BoxData[
 RowBox[{"{", "True", "}"}]], "Output",
 CellChangeTimes->{
  3.553403870377737*^9, {3.5534040390643854`*^9, 3.5534040719642673`*^9}, 
   3.553404153469929*^9, 3.5534237946412935`*^9, 3.553538864743928*^9, 
   3.5540055658791695`*^9, 3.55522312663074*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"NMaxValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"R44th", "[", "\[Alpha]", "]"}], ",", "dom"}], "}"}], ",", 
    "\[Alpha]"}], "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.553404158225201*^9, 3.553404185994789*^9}, {
  3.5552227900901747`*^9, 3.555222792118178*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "/", "20"}], "<", 
  RowBox[{"100", "/", 
   RowBox[{"(", 
    RowBox[{"358", "+", "102", "+", "10"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.554029112065934*^9, 3.5540291813228955`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.5540291824119577`*^9, 3.55522312666194*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"zminw", "=", 
   RowBox[{"MinValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"w", "-", 
        RowBox[{
         RowBox[{"76", "/", "100"}], " ", 
         RowBox[{"w", "^", "2"}]}], "-", 
        RowBox[{
         RowBox[{"52", "/", "100"}], 
         RowBox[{"w", "^", "3"}]}]}], ",", 
       RowBox[{
        RowBox[{"1", "/", "20"}], "\[LessEqual]", "w", "\[LessEqual]", 
        RowBox[{"1", "/", "3"}]}]}], "}"}], ",", "w"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"1", "/", "21"}], "<", "zminw"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.53822488625*^9, 3.538224994859375*^9}, {
   3.538225034515625*^9, 3.538225068359375*^9}, {3.53822512396875*^9, 
   3.538225132109375*^9}, {3.538225592125*^9, 3.538225711765625*^9}, {
   3.5383064529595222`*^9, 3.538306480825116*^9}, {3.538306518898294*^9, 
   3.5383065755305333`*^9}, {3.5385795198174124`*^9, 3.538579526862815*^9}, {
   3.5385795609807663`*^9, 3.538579571142348*^9}, {3.53859724316313*^9, 
   3.5385972873086543`*^9}, {3.5385973676662507`*^9, 3.538597391312603*^9}, {
   3.5391145578057175`*^9, 3.539114644284664*^9}, {3.539114896446087*^9, 
   3.539114896526091*^9}, {3.539114980893917*^9, 3.5391150519399805`*^9}, {
   3.5391151210119314`*^9, 3.5391151348647237`*^9}, {3.539116615730424*^9, 
   3.539116624379919*^9}, {3.5391872960294375`*^9, 3.5391873393149133`*^9}, {
   3.539195976887954*^9, 3.539195985480446*^9}, {3.53943507409375*^9, 
   3.539435088*^9}, {3.539521095578125*^9, 3.53952109615625*^9}, {
   3.53952785721875*^9, 3.53952787559375*^9}, {3.5396871931875*^9, 
   3.539687217984375*^9}, {3.53994368196875*^9, 3.539943702453125*^9}, {
   3.53994812271875*^9, 3.5399481393125*^9}, {3.539948173*^9, 
   3.5399481730625*^9}, 3.540558879984375*^9, {3.548064396575638*^9, 
   3.5480644008478823`*^9}, {3.5481617806082783`*^9, 
   3.5481618232127156`*^9}, {3.548185539947235*^9, 3.5481855474866667`*^9}, {
   3.5481855878759766`*^9, 3.548185590683137*^9}, {3.54818635511586*^9, 
   3.548186365397448*^9}, {3.548416892333557*^9, 3.5484168927645817`*^9}, {
   3.5527378450061183`*^9, 3.5527378451661186`*^9}, {3.5527379335462427`*^9, 
   3.5527380156363573`*^9}, {3.552738379586867*^9, 3.552738408826908*^9}, {
   3.5534033503379927`*^9, 3.5534033627407017`*^9}, {3.553403420665015*^9, 
   3.553403428062438*^9}, {3.5540055750296926`*^9, 3.5540056213413415`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.552738409736909*^9, 3.5528128079963055`*^9, 3.5528188350959806`*^9, 
   3.552902198277845*^9, 3.5533294939773135`*^9, 3.5534033591084943`*^9, {
   3.553403422205103*^9, 3.553403428517464*^9}, 3.553423794751293*^9, 
   3.5535388649789286`*^9, {3.554005594616813*^9, 3.5540056221243863`*^9}, 
   3.55522312669314*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"uvEst", "[", "\[Alpha]_", "]"}], "=", 
  RowBox[{"Sqrt", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", "^", "2"}], "+", 
      RowBox[{"2", "\[Alpha]"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", "\[Alpha]"}], "-", "1"}], ")"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MinuvEst", "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"MinValue", "[", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"uvEst", "[", "\[Alpha]", "]"}]}], ",", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"999", "/", "1000"}], "\[LessEqual]", "\[Alpha]", 
        "\[LessEqual]", "1"}], ")"}], ",", "\[Alpha]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eps", "=", 
   RowBox[{"MinuvEst", " ", "/", "21"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"1", "/", "22"}], "<", "eps"}]}], "Input",
 CellChangeTimes->{{3.538307448568468*^9, 3.5383074538517704`*^9}, {
   3.53830748530857*^9, 3.5383074869526634`*^9}, 3.5383077459194756`*^9, {
   3.5383080140628123`*^9, 3.538308029385689*^9}, {3.5383080784304943`*^9, 
   3.5383080823657193`*^9}, {3.5383081295014153`*^9, 3.538308216605397*^9}, {
   3.5383089706495256`*^9, 3.538309061085699*^9}, {3.5383092577119455`*^9, 
   3.538309258527992*^9}, {3.538579761195218*^9, 3.5385797754110312`*^9}, {
   3.538580338932263*^9, 3.5385804247991743`*^9}, {3.5385804960562496`*^9, 
   3.538580496494275*^9}, {3.538581160275241*^9, 3.5385811605852585`*^9}, {
   3.538581522606965*^9, 3.538581539966958*^9}, 3.538581570356696*^9, {
   3.5385817406964393`*^9, 3.5385817415474877`*^9}, {3.5385819640022116`*^9, 
   3.53858196940252*^9}, {3.538597810038553*^9, 3.5385978290276394`*^9}, {
   3.5391152783399296`*^9, 3.539115331403965*^9}, {3.5391167276218243`*^9, 
   3.539116730626996*^9}, {3.539116801273037*^9, 3.539116804533223*^9}, {
   3.5391874355204163`*^9, 3.5391874562216*^9}, {3.539187498788035*^9, 
   3.5391875003461237`*^9}, {3.539196053325326*^9, 3.5391960821759768`*^9}, {
   3.539435199328125*^9, 3.539435214484375*^9}, {3.53952792184375*^9, 
   3.539527939359375*^9}, {3.53952799696875*^9, 3.539528009203125*^9}, {
   3.539687273359375*^9, 3.539687282765625*^9}, {3.539687315890625*^9, 
   3.5396873449375*^9}, {3.539943748625*^9, 3.539943854203125*^9}, {
   3.53994820546875*^9, 3.53994830221875*^9}, {3.548162223684621*^9, 
   3.5481622312600546`*^9}, {3.5481622899264097`*^9, 
   3.5481622903084316`*^9}, {3.548162322869294*^9, 3.5481623656217394`*^9}, {
   3.5481624006987457`*^9, 3.548162417695718*^9}, {3.548185725693859*^9, 
   3.548185762222948*^9}, {3.5481858728722773`*^9, 3.5481858730132856`*^9}, {
   3.548186311597371*^9, 3.5481863226080008`*^9}, {3.55273133858434*^9, 
   3.5527313386043406`*^9}, {3.5527380775364437`*^9, 3.5527380886864595`*^9}, 
   3.5527381229565077`*^9, {3.552738163096564*^9, 3.552738303806761*^9}, {
   3.5534035217747984`*^9, 3.553403524553957*^9}, {3.5540056083145967`*^9, 
   3.5540056310999*^9}}],

Cell[BoxData[
 SqrtBox[
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"]}], 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"4", " ", "\[Alpha]"}]}]]]], "Output",
 CellChangeTimes->{
  3.5481622453698616`*^9, 3.548162290700454*^9, 3.548162368462902*^9, {
   3.5481624029208727`*^9, 3.5481624185307655`*^9}, 3.5481695083502803`*^9, {
   3.5481857455809965`*^9, 3.5481857626799746`*^9}, 3.548185874005342*^9, 
   3.5481863254781647`*^9, 3.548416305068968*^9, 3.5493518808428335`*^9, 
   3.5493607068393145`*^9, 3.5493616349876146`*^9, 3.551603528273744*^9, 
   3.5527380900664616`*^9, {3.5527382499466853`*^9, 3.5527383044067616`*^9}, 
   3.552738416996919*^9, 3.552812808016306*^9, 3.5529022011440086`*^9, 
   3.5533294940003147`*^9, 3.5534035265330706`*^9, 3.553423794771293*^9, 
   3.5535388650089283`*^9, 3.5540056344260902`*^9, 3.55522312672434*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.5481622453698616`*^9, 3.548162290700454*^9, 3.548162368462902*^9, {
   3.5481624029208727`*^9, 3.5481624185307655`*^9}, 3.5481695083502803`*^9, {
   3.5481857455809965`*^9, 3.5481857626799746`*^9}, 3.548185874005342*^9, 
   3.5481863254781647`*^9, 3.548416305068968*^9, 3.5493518808428335`*^9, 
   3.5493607068393145`*^9, 3.5493616349876146`*^9, 3.551603528273744*^9, 
   3.5527380900664616`*^9, {3.5527382499466853`*^9, 3.5527383044067616`*^9}, 
   3.552738416996919*^9, 3.552812808016306*^9, 3.5529022011440086`*^9, 
   3.5533294940003147`*^9, 3.5534035265330706`*^9, 3.553423794771293*^9, 
   3.5535388650089283`*^9, 3.5540056344260902`*^9, 3.55522312675554*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TimeUsed", "[", "]"}], "-", "t0"}]], "Input",
 CellChangeTimes->{{3.5484153924977713`*^9, 3.548415398363107*^9}}],

Cell[BoxData["201.58499999999998`"], "Output",
 CellChangeTimes->{3.548416305142972*^9, 3.5493518810300336`*^9, 
  3.549360706899315*^9, 3.549361635067615*^9, 3.5516035284921446`*^9, 
  3.5527383625468435`*^9, 3.552812808066306*^9, 3.552902204875222*^9, 
  3.553329494055318*^9, 3.5534035310893307`*^9, 3.553423794821293*^9, 
  3.5535388650589285`*^9, 3.5540056372952538`*^9, 3.5552231267867403`*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1902, 918},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 9030, 197, 454, "Input"],
Cell[9600, 221, 1587, 35, 75, "Output"],
Cell[11190, 258, 1069, 15, 42, "Output"],
Cell[12262, 275, 1296, 24, 62, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13595, 304, 2556, 52, 98, "Input"],
Cell[16154, 358, 729, 12, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16920, 375, 6982, 199, 557, "Input"],
Cell[23905, 576, 816, 13, 42, "Output"]
}, Open  ]],
Cell[24736, 592, 6910, 155, 206, "Input"],
Cell[31649, 749, 5029, 137, 260, "Input"],
Cell[36681, 888, 337, 8, 43, "Input"],
Cell[37021, 898, 786, 15, 43, "Input"],
Cell[37810, 915, 635, 15, 43, "Input"],
Cell[38448, 932, 3922, 90, 206, "Input"],
Cell[42373, 1024, 6370, 173, 311, "Input"],
Cell[48746, 1199, 1984, 35, 43, "Input"],
Cell[50733, 1236, 1569, 39, 43, "Input"],
Cell[52305, 1277, 114, 5, 81, "Subsubsection"],
Cell[CellGroupData[{
Cell[52444, 1286, 306, 8, 27, "Subsubsection"],
Cell[CellGroupData[{
Cell[52775, 1298, 5255, 138, 314, "Input"],
Cell[58033, 1438, 443, 7, 42, "Output"],
Cell[58479, 1447, 443, 7, 42, "Output"]
}, Open  ]],
Cell[58937, 1457, 579, 16, 71, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59553, 1478, 819, 26, 43, "Subsubsection"],
Cell[CellGroupData[{
Cell[60397, 1508, 974, 30, 71, "Input"],
Cell[61374, 1540, 491, 8, 42, "Output"],
Cell[61868, 1550, 493, 8, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62398, 1563, 502, 13, 43, "Input"],
Cell[62903, 1578, 173, 2, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63113, 1585, 443, 13, 43, "Input"],
Cell[63559, 1600, 250, 4, 42, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[63858, 1610, 255, 7, 38, "Subsubsection"],
Cell[CellGroupData[{
Cell[64138, 1621, 7215, 187, 260, "Input"],
Cell[71356, 1810, 804, 12, 42, "Output"],
Cell[72163, 1824, 802, 12, 42, "Output"],
Cell[72968, 1838, 804, 12, 42, "Output"]
}, Open  ]],
Cell[73787, 1853, 1066, 29, 125, "Input"],
Cell[CellGroupData[{
Cell[74878, 1886, 720, 16, 43, "Input"],
Cell[75601, 1904, 147, 2, 42, "Output"]
}, Open  ]],
Cell[75763, 1909, 446, 12, 43, "Input"],
Cell[CellGroupData[{
Cell[76234, 1925, 2885, 61, 125, "Input"],
Cell[79122, 1988, 520, 13, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79679, 2006, 3598, 90, 152, "Input"],
Cell[83280, 2098, 368, 6, 42, "Output"]
}, Open  ]],
Cell[83663, 2107, 348, 9, 43, "Input"],
Cell[84014, 2118, 1884, 51, 98, "Input"],
Cell[85901, 2171, 2131, 54, 125, "Input"],
Cell[88035, 2227, 1936, 52, 98, "Input"],
Cell[89974, 2281, 1855, 51, 98, "Input"],
Cell[CellGroupData[{
Cell[91854, 2336, 1837, 39, 71, "Input"],
Cell[93694, 2377, 734, 11, 42, "Output"]
}, Open  ]],
Cell[94443, 2391, 350, 9, 43, "Input"],
Cell[94796, 2402, 2523, 60, 98, "Input"],
Cell[97322, 2464, 2256, 56, 98, "Input"],
Cell[99581, 2522, 2177, 55, 98, "Input"],
Cell[101761, 2579, 2162, 55, 98, "Input"],
Cell[103926, 2636, 2188, 55, 98, "Input"],
Cell[CellGroupData[{
Cell[106139, 2695, 2261, 46, 71, "Input"],
Cell[108403, 2743, 619, 10, 42, "Output"]
}, Open  ]],
Cell[109037, 2756, 345, 9, 43, "Input"],
Cell[CellGroupData[{
Cell[109407, 2769, 6236, 192, 503, "Input"],
Cell[115646, 2963, 633, 10, 42, "Output"],
Cell[116282, 2975, 631, 10, 42, "Output"],
Cell[116916, 2987, 631, 10, 42, "Output"],
Cell[117550, 2999, 631, 10, 42, "Output"],
Cell[118184, 3011, 633, 10, 42, "Output"],
Cell[118820, 3023, 630, 10, 42, "Output"]
}, Open  ]],
Cell[119465, 3036, 1468, 43, 98, "Input"],
Cell[120936, 3081, 8185, 204, 643, "Input"],
Cell[CellGroupData[{
Cell[129146, 3289, 5229, 102, 179, "Input"],
Cell[134378, 3393, 1129, 16, 42, "Output"]
}, Open  ]],
Cell[135522, 3412, 1213, 28, 43, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[136772, 3445, 135, 1, 38, "Subsubsection"],
Cell[CellGroupData[{
Cell[136932, 3450, 2408, 67, 152, "Input"],
Cell[139343, 3519, 418, 6, 42, "Output"]
}, Open  ]],
Cell[139776, 3528, 611, 17, 43, "Input"],
Cell[140390, 3547, 913, 24, 71, "Input"],
Cell[141306, 3573, 2039, 55, 139, "Input"],
Cell[143348, 3630, 1686, 50, 139, "Input"],
Cell[145037, 3682, 1681, 50, 139, "Input"],
Cell[146721, 3734, 1681, 50, 139, "Input"],
Cell[148405, 3786, 1684, 50, 139, "Input"],
Cell[150092, 3838, 604, 14, 43, "Input"],
Cell[CellGroupData[{
Cell[150721, 3856, 1051, 31, 98, "Input"],
Cell[151775, 3889, 141, 3, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[151953, 3897, 2306, 53, 85, "Input"],
Cell[154262, 3952, 911, 22, 73, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[155210, 3979, 426, 9, 43, "Input"],
Cell[155639, 3990, 494, 8, 62, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[156170, 4003, 1790, 51, 125, "Input"],
Cell[157963, 4056, 269, 5, 42, "Output"]
}, Open  ]],
Cell[158247, 4064, 336, 9, 43, "Input"],
Cell[CellGroupData[{
Cell[158608, 4077, 230, 6, 43, "Input"],
Cell[158841, 4085, 96, 1, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[158974, 4091, 2439, 44, 98, "Input"],
Cell[161416, 4137, 371, 6, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161824, 4148, 3027, 58, 125, "Input"],
Cell[164854, 4208, 915, 18, 77, "Output"],
Cell[165772, 4228, 721, 10, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[166530, 4243, 148, 3, 43, "Input"],
Cell[166681, 4248, 400, 5, 42, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
